# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit a69deee625d18deecc7091a111117e55c8bb7023
Merge: 4064096b 803f8224
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 25 20:00:33 2024 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 803f82247fe4a9f762c575535ae747e1fbed6d3c
Merge: 85f70037 5bd70713
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 25 19:59:11 2024 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 5bd7071318ad731d5e151a73b1eeb9e2130ddeb3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 17 10:05:41 2024 +0100

    detail

 src/keysyms.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e534b92a3bd4e1c7188f25e90085933b6bbc4f3b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 16 22:04:30 2024 +0100

    Support more international keyboard layouts for issue #768.

 src/CMakeLists.txt |   2 +-
 src/Makefile.am    |   2 +
 src/keysyms.cc     | 782 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/keysyms.h      |   6 +
 src/wmapp.cc       |  17 +-
 src/wmapp.h        |   1 +
 src/yconfig.cc     |  26 +-
 7 files changed, 827 insertions(+), 9 deletions(-)

commit 4064096b73962b16f1eecec232f848bf998d354b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:38:03 2024 +0100

    Prepare 3.4.6 release

 AUTHORS            |  17 +-
 ChangeLog          | 761 +++++++++++++++++++++----------------------------
 INSTALL.cmakebuild |   7 +-
 NEWS               | 100 ++++---
 README.md          |  38 +--
 RELEASE.md         |   2 +-
 VERSION            |   2 +-
 configure.ac       |  10 +-
 po/ar.po           |  22 +-
 po/ast.po          |  22 +-
 po/be.po           |  22 +-
 po/bg.po           |  22 +-
 po/ca.po           |  22 +-
 po/cs.po           |  22 +-
 po/da.po           |  22 +-
 po/de.po           |  26 +-
 po/el.po           |  22 +-
 po/en.po           |  22 +-
 po/eo.po           |  22 +-
 po/es.po           |  26 +-
 po/fa.po           |  22 +-
 po/fi.po           |  22 +-
 po/fr.po           |  26 +-
 po/he.po           |  22 +-
 po/hi.po           |  22 +-
 po/hr.po           |  22 +-
 po/hu.po           |  22 +-
 po/icewm.pot       |  24 +-
 po/id.po           |  22 +-
 po/ie.po           |  22 +-
 po/it.po           |  26 +-
 po/ja.po           |  22 +-
 po/ka.po           |  22 +-
 po/kk.po           |  22 +-
 po/ko.po           |  22 +-
 po/lt.po           |  22 +-
 po/lv.po           |  22 +-
 po/mk.po           |  22 +-
 po/nb.po           |  22 +-
 po/nl.po           |  22 +-
 po/nn.po           |  22 +-
 po/no.po           |  22 +-
 po/pl.po           |  22 +-
 po/pt.po           |  22 +-
 po/pt_BR.po        |  22 +-
 po/ro.po           |  22 +-
 po/ru.po           |  26 +-
 po/si.po           |  22 +-
 po/sk.po           |  22 +-
 po/sl.po           |  26 +-
 po/sv.po           |  22 +-
 po/tr.po           |  22 +-
 po/uk.po           |  22 +-
 po/vi.po           |  22 +-
 po/zh_CN.po        |  22 +-
 po/zh_TW.po        |  22 +-
 56 files changed, 966 insertions(+), 1053 deletions(-)

commit 44031657751c5a620fb1cfeffd221f60a1846741
Merge: abb22149 85f70037
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:30:58 2024 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 85f70037ff86cb51093bdd0065160d7c58b5e0b2
Merge: 467f07b7 6af40472
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 7 19:30:34 2024 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6af404723f568b9892b42e67784b952b7bce2430
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 5 12:22:54 2024 +0100

    Always pass first mouse click to icewm internal windows for issue #768.

 src/wmcontainer.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc5bcbe650a2c93720db6209b53f19cdf72f4024
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 5 00:43:35 2024 +0100

    Avoid updating the desktop background image twice in succession.

 src/icewmbg.cc | 22 ++++++++++++++++++----
 src/ytimer.cc  | 25 ++++++++++++++-----------
 src/ytimer.h   |  3 ++-
 3 files changed, 34 insertions(+), 16 deletions(-)

commit 138c4a47c64a8adfb7de74ec239d9c9b15e50c6b
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Mon Mar 4 15:08:48 2024 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (526 of 526 strings)

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 99a1885017d7b31ca011bee8732ba1b598a63300
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Mar 4 08:45:07 2024 +0000

    Translated using Weblate (Chinese (Taiwan) (zh_TW))

    Currently translated at 100.0% (526 of 526 strings)

 po/zh_TW.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 1b02d04945a95c0f58b36ff6cb420b58033ab306
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Mar 4 03:13:31 2024 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (526 of 526 strings)

 po/zh_CN.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 34d77ede6c18c1637fe749ebd02c66ec4d2c73e0
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Fri Mar 1 14:27:34 2024 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (526 of 526 strings)

 po/it.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit b23504341b60f75319ae40c7aefb3a5788f54512
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Thu Feb 29 21:23:02 2024 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (526 of 526 strings)

 po/es.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 2d1619fe6e1c8d34c760ad9badb2b0ebba09be0c
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Feb 29 17:53:03 2024 +0100

    Fix dependency of msgmerge command

    Also added an option to install the updated PO files back into the
    source code.

 INSTALL-cmakebuild.md |  7 ++++-
 po/CMakeLists.txt     | 67 +++++++++++++++++++++++++++++------------------
 2 files changed, 48 insertions(+), 26 deletions(-)

commit 3270940280e05d637330eb76756aaa6686d7efe2
Author: Gemineo <vistatec@gemineo.de>
Date:   Thu Feb 29 12:11:24 2024 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (526 of 526 strings)

 po/de.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit 09371b57f9ae55fb976c0a6fefc04b2e995c7ab3
Author: Arnold Marko <atomicmind@yahoo.com>
Date:   Thu Feb 22 22:06:49 2024 +0000

    Translated using Weblate (Slovenian)

    Currently translated at 70.7% (372 of 526 strings)

 po/sl.po | 539 ++++++++++++++++++++++++++++-------------------------------
 1 file changed, 256 insertions(+), 283 deletions(-)

commit 8c1398f22b47ad4e4e4d5026ed9e6dd5d8facff3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 20 19:47:19 2024 +0100

    Let icewmbg log the image path when verbose is true.

 src/icewmbg.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 947780f94b43cfc519330b4c9837961dd23d7a7b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:43:08 2024 +0100

    Document the --verbose option to icewmbg.

 man/icewmbg.pod | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 5cc690b94f140a5238fac274d436d4e970cb61d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:42:16 2024 +0100

    Prevent the RandR options from being set by a theme in icewmbg.

 src/icewmbg.cc | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit 2abbe86ebf1668d7c0d02d919c41e235cafb249b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 16 00:39:44 2024 +0100

    When undoing an arrange or showing the desktop, focus the last focused
    window instead of the topmost window.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 94334ca9e4d3929e9e01090f5a1dc1564a18474d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 10 18:17:05 2024 +0100

    succinct

 man/icewmbg.pod | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit bacbfe8a28dd001b7a139c157d39c9c64ab93583
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Feb 9 18:41:31 2024 +0100

    Remove the static window gravity from the taskbar collapse button.

 src/wmtaskbar.cc | 1 -
 1 file changed, 1 deletion(-)

commit 7dddea2a6f6ec705111e14cf8142740e602a05fd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 8 18:56:30 2024 +0100

    Explain that keys button bidings only work over the root window.

 man/icewm-keys.pod | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 3575fbf2d8094be22886bbce0b8b63689d098958
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 8 18:54:55 2024 +0100

    Include the Xinerama and RandR preferences in icewmbg.

 src/icewmbg.cc      | 4 +++-
 src/icewmbg_prefs.h | 8 ++++++++
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 3d805c544d9923c222de01b64b6d89adbb20693c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:30:25 2024 +0100

    When positioning a menu, include the vertical screen offset.

 src/ymenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d441b93e218e97382eb2c473dbf918d4fc58beb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:01:02 2024 +0100

    Fix typo dx to dy in menu focusItem.

 src/ymenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c55f3a34c437dc537d3480e0a450d31c985d5eb8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 04:00:00 2024 +0100

    Expand tilde and HOME in IconPath for issue 766.

 src/yicon.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 15da0e9c29ec95047471ad371853335514adee26
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 5 03:58:11 2024 +0100

    Delay the allocation of the taskbar frame until after the layout.

 src/wmtaskbar.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit a0c887c7cc85dd278de13159b9b71aebf750017c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 3 22:06:07 2024 +0100

    Revert "Force taskbar on XineramaPrimaryScreen"
    617b375b79b54602f0848ceff6a654dc7c5b0204.

 src/wmtaskbar.cc | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 617b375b79b54602f0848ceff6a654dc7c5b0204
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 3 00:31:24 2024 +0100

    Force the taskbar on the XineramaPrimaryScreen for issue ice-wm/icewm#157.

 src/wmtaskbar.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 92a62ee4000084688e120a0bfab8ff0391752ed9
Author: Foo Bar <foobarcc@segfault.net>
Date:   Wed Jan 24 21:34:48 2024 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 99.8% (525 of 526 strings)

 po/zh_CN.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f861108f4a85aec0c09727d9853d367269658945
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 22 21:35:49 2024 +0100

    Fix icewmbg centering when the XRender extension is used.

 src/icewmbg.cc      | 9 +++++++++
 src/icewmbg_prefs.h | 2 +-
 src/ypaint.cc       | 4 ++--
 3 files changed, 12 insertions(+), 3 deletions(-)

commit 261d26421c9cdc5d6f83e875d190c1da699b0a39
Author: Vik On <4o3lxdc1y@mozmail.com>
Date:   Fri Jan 12 22:21:45 2024 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (526 of 526 strings)

 po/ru.po | 96 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 48 insertions(+), 48 deletions(-)

commit 62d2d12bc1e3d9a6f78dcbfc4c6710fd1da39b2b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 10 21:26:47 2024 +0100

    In DEBUG mode, guard against nullptr focus.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d84954333363811ef81f5cdd0c5c3051738ba372
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 10 21:24:39 2024 +0100

    Add shutdown command for BSD and closes #761.

 src/default.h | 5 +++++
 1 file changed, 5 insertions(+)

commit abb221498496560474fb83ff2a6ad81a61be7be7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 28 19:33:02 2023 +0100

    Prepare 3.4.5 release

 AUTHORS      |   6 +-
 ChangeLog    | 478 +++++++++++++++++++++++++++++++------------------------
 NEWS         |  90 ++++-------
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 7 files changed, 328 insertions(+), 298 deletions(-)

commit 121b0f94a6868c5e0c87e0029310a925e9f830c4
Merge: 8e2c69a6 467f07b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 28 19:27:43 2023 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 467f07b740b4ef623b1b03c543f193dd84a07ae6
Merge: b921aae2 7c432f92
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 28 19:27:16 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7c432f9210d427619e3b07f97fabd8afa4fc91a9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 28 19:23:18 2023 +0100

    Update the POT files.

 po/ar.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ast.po    | 166 ++++++++++++++++++++++++++--------------------------
 po/be.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/bg.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ca.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/de.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/el.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/en.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/eo.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/es.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/fa.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/fi.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/fr.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/he.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/hi.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/hr.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/hu.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/icewm.pot | 168 ++++++++++++++++++++++++++---------------------------
 po/id.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ie.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/it.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ja.po     | 173 ++++++++++++++++++++++++++++---------------------------
 po/ka.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/kk.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ko.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/lt.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/lv.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/nb.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/nl.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/nn.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/no.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/pl.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/pt.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 166 ++++++++++++++++++++++++++--------------------------
 po/ro.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/ru.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/si.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/sk.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/sv.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/tr.po     | 170 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/vi.po     | 166 ++++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 166 ++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 166 ++++++++++++++++++++++++++--------------------------
 48 files changed, 4005 insertions(+), 4004 deletions(-)

commit 31c7346eec9a2f3d881366412e2bf8ab0f2ffde9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 28 18:59:12 2023 +0100

    Update copyright.

 src/wmabout.cc | 13 +++++++++----
 src/ylabel.cc  | 11 ++++++++---
 src/ylabel.h   |  2 ++
 3 files changed, 19 insertions(+), 7 deletions(-)

commit 07eb3001df56249f26a8d7f0e6820e5df275fa1e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 24 21:24:56 2023 +0100

    Fix workspace buttons for right-to-left languages.

 src/aworkspaces.cc | 20 ++++++++++++++++----
 src/aworkspaces.h  |  4 +++-
 2 files changed, 19 insertions(+), 5 deletions(-)

commit 8e3daf9c8913baef227e80cea90f1a2fb43e7fad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 24 14:23:24 2023 +0100

    When pasting into the addressbar, replace newlines with spaces.

 src/yinputline.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit c680ce814bbc6f6ca780edd2f95e2f81f97bf28a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 24 12:08:11 2023 +0100

    After raising a focused window, release its button grab for issue #759.

 src/wmframe.cc | 2 ++
 1 file changed, 2 insertions(+)

commit bde6bb544e4b87296ed533980d3415722c38c9cb
Author: Petteri Aimonen <jpa@git.mail.kapsi.fi>
Date:   Sun Dec 24 12:54:21 2023 +0200

    When focusing and RaiseOnFocus, release button grab for issue #759.

    Related to issue #742: Strange Firefox Behavior in IceWM. Icewm retains
    a button grab after focusing. This is problematic for Firefox and Chrome
    with hover elements on webpages. Data used by canRaise() and overlapped()
    functions is only updated after YFrameWindow::setWinFocus() ends. When
    RaiseOnFocus is true we know that the focused window will eventually
    be raised and it is unnecessary to retain the button grab. This issue
    remains for RaiseOnClickClient when RaiseOnFocus is false.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d633b37ddd69ea88ec67e1178a8263a44695cc86
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 17 20:20:29 2023 +0100

    Fix KeyWinTile commands for multi-monitor for issue ice-wm/icewm#154.

 src/wmframe.cc | 29 +++++++++++++++++++----------
 1 file changed, 19 insertions(+), 10 deletions(-)

commit 659d185f624224e1c36eb4e8d8689566ce3451cb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 12 00:43:31 2023 +0100

    Let KeySysTile only tile the active monitor for issue ice-wm/icewm#152.

 src/wmmgr.cc | 11 ++++++++++-
 src/wmmgr.h  |  5 +++++
 2 files changed, 15 insertions(+), 1 deletion(-)

commit b748bdeebd6d6c5b6cbb9ecf5afdde530d0ec75b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 11 12:53:39 2023 +0100

    Drop binascii.h. Add spanLower and spanUpper.

 src/Makefile.am |  2 --
 src/ascii.h     | 51 +++++++++++++++++++++++++++++++++------------------
 src/binascii.h  | 15 ---------------
 src/yconfig.cc  |  1 -
 src/yurl.cc     |  6 +++---
 5 files changed, 36 insertions(+), 39 deletions(-)

commit dae7b1ab49d0d6739c588e1495f3800e70ec0ccd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 11 01:35:28 2023 +0100

    Avoid calls to fstat to circumvent glibc inefficiency.

 src/akeyboard.cc |  3 ++-
 src/icehelp.cc   | 12 ++++--------
 src/upath.cc     |  6 +++---
 src/yfileio.cc   | 44 +++++++++++++++++---------------------------
 src/yfileio.h    | 21 ++++-----------------
 5 files changed, 30 insertions(+), 56 deletions(-)

commit 747a401c65637dfb4b39bf198c2847c73ae19838
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Dec 6 23:14:14 2023 +0100

    Prefer localtime_r over localtime to circumvent glibc inefficiency.

 src/aclock.cc | 12 +++++++++---
 src/icesh.cc  |  4 +++-
 src/misc.cc   |  5 +++--
 3 files changed, 15 insertions(+), 6 deletions(-)

commit b97f65679904286ce557b9e71f8b1af6dad52321
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 5 19:59:48 2023 +0100

    Center the clock leds vertically for issue ice-wm/icewm#151.

 src/aclock.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 8e107ce2474a0cd7991d1aa50d0f5c797b0b785b
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Mon Dec 4 20:15:07 2023 +0300

    Update the 'Hibernate' command and add hibernate icons.

 lib/Makefile.am               |  2 ++
 lib/icons/hibernate_16x16.xpm | 44 +++++++++++++++++++++++++++++++++++++++
 lib/icons/hibernate_32x32.xpm | 38 +++++++++++++++++++++++++++++++++
 man/icewm-preferences.pod     | 10 ++++-----
 src/default.h                 |  2 +-
 5 files changed, 90 insertions(+), 6 deletions(-)

commit 8e2c69a61b587c06942494431273e196cf523c26
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 2 12:51:36 2023 +0100

    Prepare 3.4.4 release

 AUTHORS      |   6 +-
 ChangeLog    | 463 +++++++++++++++++++++++--------------------------------
 NEWS         | 120 +++++---------
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 100 ++++++------
 po/ast.po    | 100 ++++++------
 po/be.po     | 100 ++++++------
 po/bg.po     | 100 ++++++------
 po/ca.po     | 104 ++++++-------
 po/cs.po     | 104 ++++++-------
 po/da.po     | 100 ++++++------
 po/de.po     | 100 ++++++------
 po/el.po     | 100 ++++++------
 po/en.po     | 100 ++++++------
 po/eo.po     | 100 ++++++------
 po/es.po     | 100 ++++++------
 po/fa.po     | 100 ++++++------
 po/fi.po     | 100 ++++++------
 po/fr.po     | 100 ++++++------
 po/he.po     | 100 ++++++------
 po/hi.po     | 100 ++++++------
 po/hr.po     | 100 ++++++------
 po/hu.po     | 100 ++++++------
 po/icewm.pot | 102 ++++++------
 po/id.po     | 100 ++++++------
 po/ie.po     | 100 ++++++------
 po/it.po     | 100 ++++++------
 po/ja.po     | 107 ++++++-------
 po/ka.po     | 100 ++++++------
 po/kk.po     | 100 ++++++------
 po/ko.po     | 100 ++++++------
 po/lt.po     | 100 ++++++------
 po/lv.po     | 104 ++++++-------
 po/mk.po     | 100 ++++++------
 po/nb.po     | 100 ++++++------
 po/nl.po     | 104 ++++++-------
 po/nn.po     | 100 ++++++------
 po/no.po     | 100 ++++++------
 po/pl.po     | 100 ++++++------
 po/pt.po     | 100 ++++++------
 po/pt_BR.po  | 100 ++++++------
 po/ro.po     | 100 ++++++------
 po/ru.po     | 104 ++++++-------
 po/si.po     | 100 ++++++------
 po/sk.po     | 104 ++++++-------
 po/sl.po     | 100 ++++++------
 po/sv.po     | 104 ++++++-------
 po/tr.po     | 104 ++++++-------
 po/uk.po     | 100 ++++++------
 po/vi.po     | 100 ++++++------
 po/zh_CN.po  | 100 ++++++------
 po/zh_TW.po  | 100 ++++++------
 55 files changed, 2684 insertions(+), 2798 deletions(-)

commit 0e056cb15ab8df9ae5a2e2e59f86f32eee451171
Merge: 2784c09f b921aae2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 2 12:45:15 2023 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit b921aae22b2c8371ba82fb512a48d5a871f7ac8c
Merge: bb673f56 ca1e2f0b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 2 12:44:59 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit ca1e2f0b075c64307270ee285ba95a31d8095927
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 1 22:20:16 2023 +0100

    Don't enforce the use of clang++ in the debug build.

 rebuild.sh | 2 --
 1 file changed, 2 deletions(-)

commit a38b65c0a8ef12f9fb54d323eb0c7e122172363b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 1 22:16:59 2023 +0100

    When mapping a client by PID, search for the best match.

 src/wmapp.cc | 34 +++++++++++++++++++++++++---------
 1 file changed, 25 insertions(+), 9 deletions(-)

commit e615ca78fb009221f889266f716d6478f566cda1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 1 21:28:05 2023 +0100

    Clarify prefoverride and closes #750

 man/icewm-prefoverride.pod | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 1c54bba3e82709175bea58fe98080a060d4f6e47
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 1 12:01:15 2023 +0100

    Let icewmbg interpret command-line arguments relative to the current
    working directory.

 src/icewmbg.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 61ff479a8fe7e3ff69fcaf779c10478a8594d26c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 30 19:55:37 2023 +0100

    Fix a crash when a ping timeout dialog is destroyed for issue #729.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d6e359e623879301471d6173075e591b6fec81d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 30 17:58:48 2023 +0100

    Brighten the color of inactive preview icons for dark themes for issue
    #715.

 src/aworkspaces.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 6d5d516abf7ec41971834bc1ef54613f306b1d77
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 30 17:54:00 2023 +0100

    Test if a color can be considered dark for issue #715.

 src/ycolor.cc | 13 +++++++++++++
 src/ycolor.h  |  1 +
 2 files changed, 14 insertions(+)

commit 56f4701c0bdd764d22757e9887f8db3ba140f8f1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 26 18:34:38 2023 +0200

    Support JXL, JP2, RAW, SVG, TGA image formats in icewmbg.

 src/icewmbg.cc | 45 +++++++++++++++++++++++++++++----------------
 1 file changed, 29 insertions(+), 16 deletions(-)

commit 6866ef82bac864a1fb45fc7868804ceb350a94bb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 26 18:33:44 2023 +0200

    Add `supportsFormat` to check for support of additional image formats.

 src/yimage.h      |  1 +
 src/yimage2.cc    | 28 ++++++++++++++++++++++++++++
 src/yimage_gdk.cc | 21 +++++++++++++++++++++
 src/yximage.cc    | 16 ++++++++++++++++
 4 files changed, 66 insertions(+)

commit 5b5632fb077b39d7311bd078bf8e797709c9f6d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 26 18:31:48 2023 +0200

    Use --disable-librsvg instead of --disable-rsvg.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1f12404f2c4c1626e4f8ebbd27ab46be744270ac
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 15 10:15:49 2023 +0200

    Fix minor warnings from recent CMake and GCC

 doc/CMakeLists.txt | 2 +-
 lib/CMakeLists.txt | 2 +-
 po/CMakeLists.txt  | 2 +-
 src/wmmgr.cc       | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit baa4e6b9722568d184bb7fc9212cc347d72585b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 12 19:37:33 2023 +0200

    Remove obsolete winoption examples and add one for plank.

 lib/winoptions.in | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit 8b8e8bb37c6d0c956da7f6a3e580c57b1bcb42e0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 12 19:36:37 2023 +0200

    More permissive parsing of a PAM image header in icesh.

 src/icesh.cc | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 5dc24b7686ec3a069ab16a3f9ede4883b280fea6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 12 19:36:04 2023 +0200

    Support TIFF and WEBP in icewmbg.

 src/icewmbg.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 4f8ccbb057577d33328869d80d71291428e41e75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 12 18:56:10 2023 +0200

    Use fcsmart for capturing loadText data.

 src/iceview.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9980833dde56423aa3d6d3f178474bb21332dd12
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Apr 16 21:54:28 2023 +0200

    Fix ordering in the 4th configuration

    Also stop throwing warnings with AMDGPU where no explicit configuration
    was created.

 contrib/icewm-menu-xrandr | 51 +++++++++++++++++++++++++++++++------------
 1 file changed, 37 insertions(+), 14 deletions(-)

commit ec8f8f2f52aa160817073fbe2d06d6cdc9c1d7ea
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Oct 4 20:47:03 2023 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (526 of 526 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2784c09f1d348fd5ca93076c495263bf04f94725
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 2 20:16:22 2023 +0200

    Prepare 3.4.3 release

 AUTHORS      |   3 +-
 ChangeLog    | 250 ++++++++++++++++++++++++++-----------------------------
 NEWS         | 122 +++++++--------------------
 README.md    |  38 ++++-----
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +--
 7 files changed, 174 insertions(+), 253 deletions(-)

commit 5fa4e90d2d5c3343f26128c9d4d4613e4e9ca300
Merge: 8bd5d4de bb673f56
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 2 20:05:52 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit bb673f56971e08c887c00aa5617ba23a811dfa4d
Merge: b56c0559 f837124a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 2 20:05:24 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit f837124ab1c018791994ce44d3389aac047355f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 28 19:04:26 2023 +0200

    After daemonizing reopen the output file.

 src/icewmbg.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 11868632e80ca5498af953e720447575a3547bbe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 27 23:44:19 2023 +0200

    Let icewmbg interpret command-line arguments relative to the current
    working directory for issue #497. Let icewmbg accept additional
    arguments as images or directories. Add -f,--fork option to icewmbg. Add
    --postpreferences option to icewmbg.

 man/icesh.pod      |   1 +
 man/icewm-menu.pod |   8 +--
 man/icewmbg.pod    |  23 ++++++---
 src/icewmbg.cc     | 133 +++++++++++++++++++++++++++++++++++++++----------
 4 files changed, 128 insertions(+), 37 deletions(-)

commit 210fff6a39d24c34432f822a0c24629ef1964fba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 21 00:00:42 2023 +0200

    Add DoNotManage winoption for issues #653 and ice-wm/icewm#136.

 man/icewm-winoptions.pod |  1 +
 man/icewmhint.pod        |  1 +
 src/wmframe.h            |  1 +
 src/wmmgr.cc             | 26 ++++++++++++++++++++++++--
 src/wmmgr.h              |  1 +
 src/wmoption.cc          |  1 +
 6 files changed, 29 insertions(+), 2 deletions(-)

commit 23f4fb3fa506039f436df14f30313878036cb926
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 19 18:10:13 2023 +0200

    Document new pref "TaskBarShowWindowTitles".

 man/icewm-preferences.pod | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 84d26eb3f35c977765c4b025f22cc3682115859f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 18 20:59:23 2023 +0200

    Add pref "TaskBarShowTransientWindows" to only show window titles on
    task buttons when it is true, which is the default, for issue 633.

 src/atasks.cc | 8 +++++---
 src/default.h | 4 +++-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 6f4a7b4762a9539aa18f00a3acf63c33b953a42d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 18 00:12:56 2023 +0200

    When cascading, include the border size for bbidulock/icewm#747.

 src/wmmgr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 130e835a90a0a44ee11c95749828fcab5621436b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 12 18:25:02 2023 +0200

    Simplify APM file handling with class SysFS for bbidulock/icewm#746.

 src/aapm.cc | 231 ++++++++++++++++++++++++--------------------------------
 src/aapm.h  |  11 +++
 2 files changed, 109 insertions(+), 133 deletions(-)

commit 0458282fd8337ef8614766039619302513aa4717
Author: diego roversi <diegor@tiscali.it>
Date:   Tue Sep 12 11:24:29 2023 +0200

    Use capacity when battery doesn't have information about full
    charge. (#746)

 src/aapm.cc | 33 ++++++++++++++++++++++++++++++++-
 1 file changed, 32 insertions(+), 1 deletion(-)

commit 8bd5d4de14d7ab64a46b8dcaaa077f653712ab69
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 11 04:46:39 2023 +0200

    Prepare 3.4.2 release

 AUTHORS      |  21 ++-
 ChangeLog    | 553 +++++++++++++++++++++++++++----------------------------
 NEWS         | 127 ++++++-------
 README.md    |  38 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 7 files changed, 367 insertions(+), 386 deletions(-)

commit 40600c375fb7dec0cab827445fadfe2749b0efb9
Merge: 147e4cfe b56c0559
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 11 04:41:43 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit b56c0559fe4afab83d0316480229b7ecb3cfb769
Merge: 6ff46c17 0de955ce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 11 04:40:41 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 147e4cfebf50dfb4260bb93e9b171ce8cc7111e5
Merge: a6dc4ad1 ec3ddbe5
Author: gijsbers <gijsbers@users.noreply.github.com>
Date:   Mon Sep 11 03:28:24 2023 +0200

    Merge pull request #145 from ice-wm/dependabot

commit ec3ddbe54c5ffebdf539e6f6ef873ff6b3c2a0c7
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Mon Sep 11 01:18:59 2023 +0000

    Bump actions/checkout from 3 to 4

    Bumps [actions/checkout](https://github.com/actions/checkout) from 3 to 4.
    - [Release notes](https://github.com/actions/checkout/releases)
    - [Changelog](https://github.com/actions/checkout/blob/main/CHANGELOG.md)
    - [Commits](https://github.com/actions/checkout/compare/v3...v4)

    ---
    updated-dependencies:
    - dependency-name: actions/checkout
      dependency-type: direct:production
      update-type: version-update:semver-major
    ...

    Signed-off-by: dependabot[bot] <support@github.com>

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0de955ce6eb1b61c286d19ab388e67c4b0b77563
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Sat Sep 9 02:51:11 2023 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (526 of 526 strings)

 po/sv.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit abe473b48b3d2dcdb2dde0ee2b86d9004cc2996a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 5 04:35:39 2023 +0200

    Support tabs in the window list menu.

 src/wmwinmenu.cc | 41 ++++++++++++++++++++++++-----------------
 1 file changed, 24 insertions(+), 17 deletions(-)

commit e998895c2aa9b2460d28f39b73a2daa456653bee
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Tue Sep 5 04:34:40 2023 +0200

    Bump actions/checkout from 3 to 4 (#745)

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 30be0d266176dea33870ffb36986704796d5424b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 4 22:33:34 2023 +0200

    Always update the Window List Menu action handler for ice-wm/icewm#144.

 src/wmwinmenu.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6acb3f018074989e9589bb17288f565ef50211f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 19 23:49:12 2023 +0200

    Prefer 'that' over 'which' when restrictive.

 src/WinMgr.h        | 2 +-
 src/default.h       | 6 +++---
 src/icehelp.cc      | 2 +-
 src/themes.cc       | 2 +-
 src/upath.cc        | 4 ++++
 src/upath.h         | 1 +
 src/wmconfig.h      | 2 +-
 src/wmmenu.cc       | 2 +-
 src/wmprog.h        | 2 +-
 src/ycollections.cc | 2 +-
 src/ycollections.h  | 2 +-
 src/yicon.cc        | 4 ++--
 src/ypointer.h      | 4 ++--
 src/yxtray.cc       | 2 +-
 14 files changed, 21 insertions(+), 16 deletions(-)

commit 2c8244e4b01c1c0923522f4c8ca7fef54806c9c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 19 19:02:04 2023 +0200

    Prefer 'that' over 'which' when restrictive.

 man/icesh.pod              | 42 ++++++++++++-------------
 man/icesound.pod           |  5 ++-
 man/icewm-env.pod          |  2 +-
 man/icewm-menu-xrandr.pod  |  4 +--
 man/icewm-menu.pod         |  2 +-
 man/icewm-preferences.pod  | 16 +++++-----
 man/icewm-prefoverride.pod |  4 +--
 man/icewm-programs.pod     |  2 +-
 man/icewm-session.pod      |  2 +-
 man/icewm-set-gnomewm.pod  |  2 +-
 man/icewm-startup.pod      |  2 +-
 man/icewm-toolbar.pod      |  2 +-
 man/icewm-winoptions.pod   |  2 +-
 man/icewm.pod              | 70 ++++++++++++++++++++----------------------
 man/icewmtray.pod          |  2 +-
 15 files changed, 78 insertions(+), 81 deletions(-)

commit 7fbd3db2ec3ee9e346b6de02b2ef83adcd6c99bc
Author: Gustavs Kivlenieks <kivlenieksgustavs@proton.me>
Date:   Fri Aug 18 12:12:36 2023 +0000

    Translated using Weblate (Latvian)

    Currently translated at 31.1% (164 of 526 strings)

 po/lv.po | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 2d5f3e706f732aef013656a75ccdfd18c1fd7c25
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 18 13:01:21 2023 +0200

    Prefer 'that' over 'which' when restrictive.

 man/icewm-menu-fdo.pod | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ca951c124a1cfbe865d5e4be3f8e75013a198356
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 12 16:28:43 2023 +0200

    Add a --terminal option to icewm-menu-fdo to define the preferred
    terminal. Otherwise examine the TERMINAL environment variable for a
    possible terminal. If the given terminal cannot be found, see if other
    supported terminals can be run instead.

 man/icewm-menu-fdo.pod |  6 ++++++
 src/fdomenu.cc         | 23 +++++++++++++++--------
 2 files changed, 21 insertions(+), 8 deletions(-)

commit f53bf5f649b6e4abca84123b2061c76d8aa200e0
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue Aug 8 12:59:18 2023 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (526 of 526 strings)

 po/id.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6a950883baea970ad01913a722b533321f64c709
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 31 13:42:31 2023 +0200

    Android Termux.

 src/misc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af59afcd026aeae095d4ccdbc27d163f19178bd6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 25 21:47:20 2023 +0200

    If only the base dimensions of WM_NORMAL_HINTS has changed, continue
    with normal processing in updateMwmHints, for issue ice-wm/icewm#141.
    This fixes restoring from fullscreen with F11 in chromium.

 src/wmframe.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 32df579651ad6575eb7001f42253c79b763c2575
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Tue Jul 25 07:13:47 2023 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (526 of 526 strings)

 po/tr.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 766cd7386de6b82375d5485f7818eab872e946c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 24 20:49:21 2023 +0200

    Center icerun and add -r option.

 src/icerun.cc | 96 ++++++++++++-------------------------------------------
 1 file changed, 20 insertions(+), 76 deletions(-)

commit 5b042b2f402571d5300bc35a09daa2f642801a6a
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Sun Jul 23 09:32:04 2023 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (526 of 526 strings)

 po/pt.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit b52d6139395e96df181a611a3cfd9c7ed7e41cf3
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Sat Jul 22 15:36:52 2023 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (526 of 526 strings)

 po/ru.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 14cd34dc2ff19bec167ff9c1ee1eed2081ca9a9a
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Fri Jul 21 20:20:14 2023 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (526 of 526 strings)

 po/nl.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ff2fd45442ef06a82682262061712c223ba73a1e
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Fri Jul 21 14:28:50 2023 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (526 of 526 strings)

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a6dc4ad18f1b4f5400548c124e1d551700f5b4c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 16:17:35 2023 +0200

    Prepare 3.4.1 release

 AUTHORS      |   9 +-
 ChangeLog    | 725 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  86 ++++---
 README.md    |  38 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 7 files changed, 460 insertions(+), 412 deletions(-)

commit 02feebb509b3368985e61618e9c5fa6db8a872cd
Merge: c1a5c682 6ff46c17
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 16:07:21 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 6ff46c17bae503f8c805f338456e5cc0204bf340
Merge: ad29458d cc2ca371
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 16:06:13 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit cc2ca3710152eb721f53711c33a44dc1d44c1806
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 14:45:15 2023 +0200

    Fix constness for object arrays in begin+end member functions.

 src/aclock.h |  4 ++--
 src/yarray.h | 14 ++++++++++----
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 2890bfd56863eeeae32eb6dd91e7cafcd3ab751c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 12:37:09 2023 +0200

    Include algorithm first for portability to GCC-4.8.2.

 src/yicon.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07dbcc71ff05b1d7733b6d7aa8865e5358cd293e
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Fri Jul 21 05:17:55 2023 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (526 of 526 strings)

 po/ja.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9ff35e7e93912a485b04c4984c5b2a56ca11de82
Author: Aleš Kastner <alkas@volny.cz>
Date:   Fri Jul 21 07:34:51 2023 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (526 of 526 strings)

 po/cs.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3597ac6d48c91a9859d02dd813bd95bedc9169e9
Author: David Medina <medipas@gmail.com>
Date:   Fri Jul 21 07:34:37 2023 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (526 of 526 strings)

 po/ca.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8a8e31b1b9404aeea58c01bcdc3dfbc3ab3c0139
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 21 01:44:23 2023 +0200

    Update potfiles.

 po/ar.po     |  235 ++---
 po/ast.po    | 2624 +++++++++++++++++++++++++++++++++++++++++-------------
 po/be.po     |  235 ++---
 po/bg.po     |  235 ++---
 po/ca.po     |  231 ++---
 po/cs.po     |  231 ++---
 po/da.po     |  235 ++---
 po/de.po     |  235 ++---
 po/el.po     |  235 ++---
 po/en.po     |  228 ++---
 po/eo.po     |  228 ++---
 po/es.po     |  235 ++---
 po/fa.po     |  235 ++---
 po/fi.po     |  235 ++---
 po/fr.po     |  231 ++---
 po/he.po     |  235 ++---
 po/hi.po     |  235 ++---
 po/hr.po     |  235 ++---
 po/hu.po     |  235 ++---
 po/icewm.pot |  230 ++---
 po/id.po     |  231 ++---
 po/ie.po     |  235 ++---
 po/it.po     |  235 ++---
 po/ja.po     |  231 ++---
 po/ka.po     |  231 ++---
 po/kk.po     |  235 ++---
 po/ko.po     |  235 ++---
 po/lt.po     |  235 ++---
 po/lv.po     |  235 ++---
 po/mk.po     |  235 ++---
 po/nb.po     |  235 ++---
 po/nl.po     |  231 ++---
 po/nn.po     |  235 ++---
 po/no.po     |  235 ++---
 po/pl.po     |  235 ++---
 po/pt.po     |  231 ++---
 po/pt_BR.po  |  231 ++---
 po/ro.po     |  235 ++---
 po/ru.po     |  231 ++---
 po/si.po     |  228 ++---
 po/sk.po     |  231 ++---
 po/sl.po     |  235 ++---
 po/sv.po     |  231 ++---
 po/tr.po     |  231 ++---
 po/uk.po     |  235 ++---
 po/vi.po     |  235 ++---
 po/zh_CN.po  |  235 ++---
 po/zh_TW.po  |  235 ++---
 48 files changed, 7666 insertions(+), 5925 deletions(-)

commit 616a004dbaf157c1cb0e90eeca98ac70814e483b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 20 23:04:41 2023 +0200

    When WM_NORMAL_HINTS changes, only update the normalized dimensions,
    if the increments have changed, for issue ice-wm/icewm#141.

 src/wmframe.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 275d88fe848cc91bb8e0e2b47b908ac3855c2d9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 19 22:53:37 2023 +0200

    Make geometry zero-based.

 src/wmdialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 175662415d646370be82539597447153f8f0ad76
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 19 19:52:03 2023 +0200

    Two .pod typos.

 man/icewm-menu-fdo.pod   | 2 ++
 man/icewm-winoptions.pod | 2 --
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0eb0db8694ae5591d58b2ac2b2577a1bc0c37895
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 19 12:02:12 2023 +0200

    Deactivate the system dialog on a click outside of the window.

 man/icesh.pod   |  4 ++++
 src/wmdialog.cc | 11 ++++++++++-
 src/wmdialog.h  |  1 +
 3 files changed, 15 insertions(+), 1 deletion(-)

commit 4b16d98f916ce94b5b61c8337daa893d51477cec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 17 23:04:56 2023 +0200

    Hide the Close button in the System Dialog.

 src/wmdialog.cc | 6 +++---
 src/wmdialog.h  | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 5b7d5b9e037ec4c0e28a95eec861b175aaccf146
Author: ItzSelenux <74371741+ItzSelenux@users.noreply.github.com>
Date:   Mon Jul 17 14:47:10 2023 -0600

    Add a "Hibernate" option as a possible workaround for nosystemd systems
    (#737)

 man/icewm-preferences.pod | 10 +++++++---
 src/default.h             |  9 ++++++---
 src/icesh.cc              |  1 +
 src/wmaction.h            |  3 +++
 src/wmapp.cc              |  6 +++++-
 src/wmdialog.cc           |  7 +++++++
 src/wmdialog.h            |  2 +-
 src/wmmgr.cc              |  1 +
 8 files changed, 31 insertions(+), 8 deletions(-)

commit 0abfb8fecea41078af1a1edffb6ebdbf8af67e4e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 1 14:08:25 2023 +0200

    Don't use OutputFile when printing information.

 src/wmapp.cc | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit 5322d83065e52265de9ecbe7d04dff1cd4e386c9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 27 08:34:12 2023 +0200

    When canceling the quick switch, check if a focused fullscreen is in
    the right layer.

 src/wmswitch.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 2e3cc7af55f224ccda529334313026dacdf25599
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 27 01:16:00 2023 +0200

    Prevent unlikely case of freeing the _XROOTPMAP_ID pixmap in icewmbg.

 src/icewmbg.cc | 3 +++
 1 file changed, 3 insertions(+)

commit ba6e026a066eebf53b22662784612460ee4dd3aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 26 21:15:37 2023 +0200

    manpage details.

 man/icewm-keys.pod        | 12 ++++++------
 man/icewm-preferences.pod | 17 ++++++-----------
 man/icewm.pod             |  2 +-
 man/icewmbg.pod           |  3 ++-
 src/icewmbg_prefs.h       |  4 ++--
 5 files changed, 17 insertions(+), 21 deletions(-)

commit 41b5cffed6b7aaeb3edd5c57585ec2d47c745dbd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 18 21:40:44 2023 +0200

    Add "refresh" command to icesh. Refresh desktop on icewm restart.

 man/icesh.pod  | 4 ++++
 src/icesh.cc   | 1 +
 src/wmaction.h | 1 +
 src/wmapp.cc   | 3 +++
 src/wmmgr.cc   | 1 +
 5 files changed, 10 insertions(+)

commit 9e43985eb672a11d2c99d091d68ba95715dd4469
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 18 21:40:08 2023 +0200

    Wider message box for rename title.

 src/ymsgbox.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 148d90d9b612274e91e04805c3b2226570f367eb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 18 21:39:03 2023 +0200

    Give logEvent a force option.

 src/logevent.cc | 6 +++---
 src/logevent.h  | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7815819a3058cd80b5527580deb5bf8b1a1282d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 17 08:18:17 2023 +0200

    Add title as placeholder text in rename title dialog for ice-wm/icewm#138.

 src/wmframe.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 11c0b34db6b24f5fbd9815d359e0b5ef1360517f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 12 20:54:23 2023 +0200

    Don't draw a border on quick switch when Look=flat for issue #736.

 src/wmswitch.cc | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit c6286cc3b763950299992c008fb10bdf9d1d226f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 11 21:13:38 2023 +0200

    Add a OutputFile preference and a -o,--output option to redirect all
    output to a file, which is truncated on startup if it exceeds 5 KB.

 man/icesound.pod          |  7 ++++++-
 man/icewm-keys.pod        |  3 ++-
 man/icewm-preferences.pod |  6 ++++++
 man/icewm-session.pod     |  1 +
 man/icewm.pod             |  5 +++++
 man/icewmbg.pod           | 29 +++++++++++++++++------------
 src/default.h             |  2 ++
 src/icesm.cc              | 16 ++--------------
 src/icesound.cc           |  6 ++++++
 src/icewmbg.cc            |  6 ++++++
 src/upath.cc              | 26 ++++++++++++++++++++++++++
 src/upath.h               |  2 ++
 src/wmapp.cc              | 17 ++++++++++++++---
 13 files changed, 95 insertions(+), 31 deletions(-)

commit 8e506e962a154f08d44fe781684e24fd00cdb780
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 8 19:38:19 2023 +0200

    When the screen size changes, let icewm-session check that icewmbg is
    running or start a new instance, for issue ice-wm/icewm#137.

 man/icewmbg.pod |  4 ++++
 src/icesh.cc    |  1 +
 src/icesm.cc    |  5 +++++
 src/wmaction.h  |  2 ++
 src/wmapp.cc    | 10 ++++++++++
 src/wmmgr.cc    |  7 +++++--
 6 files changed, 27 insertions(+), 2 deletions(-)

commit c1a5c6824a2ef2e02824069317bbedbcdb104be7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:45:51 2023 +0200

    Prepare 3.4.0 release

 AUTHORS      |    2 +-
 ChangeLog    |  217 +++--
 NEWS         |   13 +-
 README.md    |    2 +-
 configure.ac |    4 +-
 po/ar.po     |    2 +-
 po/ast.po    | 2620 +++++++++++++++++++++++++++++++++++++++++-------------
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/eo.po     |    2 +-
 po/es.po     |    2 +-
 po/fa.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hi.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |    4 +-
 po/id.po     |    2 +-
 po/ie.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ka.po     |    2 +-
 po/kk.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/nn.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/si.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 53 files changed, 2225 insertions(+), 729 deletions(-)

commit f3a6e8ea37691e0132db47cc1c78b6c286cc6b15
Merge: 0539235b ad29458d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:41:00 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit ad29458d28adb2da9b7b9dc2bd01bd9df0333aeb
Merge: 6d13e912 c6363d22
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:39:31 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit c6363d22a8154c5897b66ec7e53901696d12224f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:36:32 2023 +0200

    Include more source files in POTFILES.in.

 po/POTFILES.in | 3 +++
 1 file changed, 3 insertions(+)

commit b39bb60ba7360da5ef7f5bf258bc8b251b590976
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:30:00 2023 +0200

    Include ast, eo, fa, hi, ie, ka, kk, nn, si in LINGUAS

 po/LINGUAS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 5d64a2465ae9e2ca8b352c7113360676773c18bf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 5 16:15:29 2023 +0200

    Update potfiles.

 po/ar.po     |  258 ++--
 po/be.po     |  258 ++--
 po/bg.po     |  258 ++--
 po/ca.po     |  262 ++--
 po/cs.po     |  262 ++--
 po/da.po     |  258 ++--
 po/de.po     |  258 ++--
 po/el.po     |  258 ++--
 po/en.po     |  258 ++--
 po/eo.po     | 2547 ++++++++++++++++++++++++++++---------
 po/es.po     |  258 ++--
 po/fa.po     | 2472 ++++++++++++++++++++++++++++--------
 po/fi.po     |  258 ++--
 po/fr.po     |  290 ++---
 po/he.po     |  258 ++--
 po/hi.po     | 2079 +++++++++++++++++++++---------
 po/hr.po     |  258 ++--
 po/hu.po     |  262 ++--
 po/icewm.pot |  260 ++--
 po/id.po     |  258 ++--
 po/ie.po     | 3688 ++++++++++++++++++++++++++++++------------------------
 po/it.po     |  258 ++--
 po/ja.po     |  262 ++--
 po/ka.po     |  262 ++--
 po/kk.po     |  366 +++---
 po/ko.po     |  258 ++--
 po/lt.po     |  258 ++--
 po/lv.po     |  258 ++--
 po/mk.po     |  258 ++--
 po/nb.po     |  258 ++--
 po/nl.po     |  262 ++--
 po/nn.po     | 2514 ++++++++++++++++++++++++++++---------
 po/no.po     |  258 ++--
 po/pl.po     |  258 ++--
 po/pt.po     |  258 ++--
 po/pt_BR.po  |  258 ++--
 po/ro.po     |  258 ++--
 po/ru.po     |  266 ++--
 po/si.po     | 2909 ++++++++++++++++++++++--------------------
 po/sk.po     |  262 ++--
 po/sl.po     |  258 ++--
 po/sv.po     |  266 ++--
 po/tr.po     |  262 ++--
 po/uk.po     |  258 ++--
 po/vi.po     |  258 ++--
 po/zh_CN.po  |  258 ++--
 po/zh_TW.po  |  258 ++--
 47 files changed, 16268 insertions(+), 10709 deletions(-)

commit 0539235b31598253446b0006a344a5b014bebeb6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 4 22:21:13 2023 +0200

    Prepare 3.4.0 release

 AUTHORS      |   5 +-
 ChangeLog    | 411 ++++++++++++++++++++++++++++---------------------------
 NEWS         |  88 +++++-------
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 176 ++++++++++++------------
 po/be.po     | 176 ++++++++++++------------
 po/bg.po     | 176 ++++++++++++------------
 po/ca.po     | 176 ++++++++++++------------
 po/cs.po     | 176 ++++++++++++------------
 po/da.po     | 176 ++++++++++++------------
 po/de.po     | 176 ++++++++++++------------
 po/el.po     | 176 ++++++++++++------------
 po/en.po     | 176 ++++++++++++------------
 po/es.po     | 176 ++++++++++++------------
 po/fi.po     | 176 ++++++++++++------------
 po/fr.po     | 176 ++++++++++++------------
 po/he.po     | 176 ++++++++++++------------
 po/hr.po     | 176 ++++++++++++------------
 po/hu.po     | 176 ++++++++++++------------
 po/icewm.pot | 178 ++++++++++++------------
 po/id.po     | 258 +++++++++++++++++-----------------
 po/it.po     | 176 ++++++++++++------------
 po/ja.po     | 176 ++++++++++++------------
 po/ko.po     | 176 ++++++++++++------------
 po/lt.po     | 176 ++++++++++++------------
 po/lv.po     | 176 ++++++++++++------------
 po/mk.po     | 176 ++++++++++++------------
 po/nb.po     | 176 ++++++++++++------------
 po/nl.po     | 176 ++++++++++++------------
 po/no.po     | 176 ++++++++++++------------
 po/pl.po     | 176 ++++++++++++------------
 po/pt.po     | 176 ++++++++++++------------
 po/pt_BR.po  | 176 ++++++++++++------------
 po/ro.po     | 176 ++++++++++++------------
 po/ru.po     | 176 ++++++++++++------------
 po/sk.po     | 176 ++++++++++++------------
 po/sl.po     | 176 ++++++++++++------------
 po/sv.po     | 176 ++++++++++++------------
 po/tr.po     | 176 ++++++++++++------------
 po/uk.po     | 176 ++++++++++++------------
 po/vi.po     | 176 ++++++++++++------------
 po/zh_CN.po  | 176 ++++++++++++------------
 po/zh_TW.po  | 176 ++++++++++++------------
 46 files changed, 3744 insertions(+), 3760 deletions(-)

commit f234276b8fc51f184aecfd60906486f4457dfae6
Merge: 43f00671 6d13e912
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 4 22:13:01 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 6d13e912048a25ba2a7021011e3a89413e67ca31
Merge: 1ba256de 740cfee2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 4 22:12:25 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 740cfee22e4aa396f7990656c68ed635523168de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 4 09:06:30 2023 +0200

    Don't complain about empty key definitions.

 src/yconfig.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 507cc7986beaddee9d9ce457f57a721d0ab4cca3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 3 18:17:44 2023 +0200

    Include AltGr in the list of modifiers.

 lib/keys.in        | 15 +++++++--------
 man/icewm-keys.pod | 19 ++++++++++---------
 2 files changed, 17 insertions(+), 17 deletions(-)

commit c340e9da7ccebde0ba424c3eed75322d4962a48a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 3 18:15:56 2023 +0200

    Support all UTF8 code points in keybindings.

 src/yconfig.cc | 104 +++++++++++++++++++++++++++++++----------------------
 src/yconfig.h  |   1 +
 2 files changed, 63 insertions(+), 42 deletions(-)

commit c7d7759816fe9ea9720a584d89d9e369ff956bda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 3 02:47:00 2023 +0200

    Use xconfigurerequest.

 src/yxapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d8c6c6932c07213935585a170bbc5ddc0d799cc6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 2 19:53:34 2023 +0200

    Fix for a map request from an unmanaged client for issue #734.

 src/yxapp.cc | 11 +++++++++++
 src/yxapp.h  |  1 +
 2 files changed, 12 insertions(+)

commit e3e62d814632aa7137f7ff2dd9e275830dc5079e
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed May 31 13:37:08 2023 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (525 of 525 strings)

 po/id.po | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit e31d5feb0fc0335df3657bd0d88b69e1cf01ae28
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Tue May 30 07:03:52 2023 +0000

    Translated using Weblate (Georgian)

    Currently translated at 50.6% (266 of 525 strings)

 po/ka.po | 541 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 274 insertions(+), 267 deletions(-)

commit c70a0eade750554012d50e8a8a966a97ee7cf4bd
Author: Temuri Doghonadze <temuri.doghonadze@gmail.com>
Date:   Tue May 30 06:18:45 2023 +0000

    Added translation using Weblate (Georgian)

 po/ka.po | 2630 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2630 insertions(+)

commit 4a16e0cab319c1cdadbe0217c073af8783947a10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 23 23:01:01 2023 +0200

    On a MappingNotify event, reparse the key bindings for ice-wm/icewm#134.

 src/wmapp.cc  | 7 +++++++
 src/wmapp.h   | 1 +
 src/wmprog.cc | 7 ++++++-
 src/wmprog.h  | 4 +++-
 src/yxapp.cc  | 1 +
 src/yxapp.h   | 1 +
 6 files changed, 19 insertions(+), 2 deletions(-)

commit a63a52b0d193d4915386664f0ffa72df4d685451
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 20 22:53:37 2023 +0200

    Update manpage for "keys" for issue ice-wm/icewm#134.

 man/icewm-keys.pod | 56 ++++++++++++++++++++++++++++----------------------
 1 file changed, 31 insertions(+), 25 deletions(-)

commit 795127f8e9e0f523866acac78d8b5553f81fc398
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 20 21:47:34 2023 +0200

    Support UTF-8 key in "keys" and fix unshift for issue ice-wm/icewm#134.

 src/yconfig.cc | 7 +++++++
 src/yxapp.cc   | 4 +---
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 274108e41620f0212220e861aa823cba07965a8a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 20 15:35:25 2023 +0200

    Support bindings to shifted keys in a "keys" definition in issue
    ice-wm/icewm#134.

 src/wmapp.cc   | 11 +++++++++++
 src/wmapp.h    |  1 +
 src/wmmgr.cc   |  2 +-
 src/wmpref.cc  |  2 +-
 src/wmprog.cc  |  2 +-
 src/yconfig.cc |  1 -
 src/yxapp.cc   | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 src/yxapp.h    |  6 ++++++
 8 files changed, 68 insertions(+), 4 deletions(-)

commit 8ab9139f0a90e91bbf742d5fb32b9dc8404487a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 18 18:00:29 2023 +0200

    Support a literal character as the last letter in a "keys" definition
    if it is from the Latin-1 character set for issue ice-wm/icewm#134.

 src/yconfig.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 43f006719a2b7a65d636e627c1434f87e38ae007
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 18 10:01:21 2023 +0200

    Prepare 3.3.5 release

 AUTHORS      |   6 +-
 ChangeLog    | 504 +++++++++++++++++++++++++++----------------------------
 NEWS         |  78 ++++-----
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  92 +++++-----
 po/be.po     |  92 +++++-----
 po/bg.po     |  92 +++++-----
 po/ca.po     |  92 +++++-----
 po/cs.po     | 148 ++++++++--------
 po/da.po     |  92 +++++-----
 po/de.po     |  92 +++++-----
 po/el.po     |  92 +++++-----
 po/en.po     |  92 +++++-----
 po/es.po     |  92 +++++-----
 po/fi.po     |  92 +++++-----
 po/fr.po     |  92 +++++-----
 po/he.po     |  92 +++++-----
 po/hr.po     |  92 +++++-----
 po/hu.po     |  92 +++++-----
 po/icewm.pot |  94 +++++------
 po/id.po     |  92 +++++-----
 po/it.po     |  92 +++++-----
 po/ja.po     |  92 +++++-----
 po/ko.po     |  92 +++++-----
 po/lt.po     |  92 +++++-----
 po/lv.po     |  92 +++++-----
 po/mk.po     |  92 +++++-----
 po/nb.po     |  92 +++++-----
 po/nl.po     |  92 +++++-----
 po/no.po     |  92 +++++-----
 po/pl.po     |  92 +++++-----
 po/pt.po     | 144 ++++++++--------
 po/pt_BR.po  |  92 +++++-----
 po/ro.po     |  92 +++++-----
 po/ru.po     |  92 +++++-----
 po/sk.po     |  92 +++++-----
 po/sl.po     |  92 +++++-----
 po/sv.po     |  92 +++++-----
 po/tr.po     |  92 +++++-----
 po/uk.po     |  92 +++++-----
 po/vi.po     |  92 +++++-----
 po/zh_CN.po  |  92 +++++-----
 po/zh_TW.po  |  92 +++++-----
 46 files changed, 2164 insertions(+), 2174 deletions(-)

commit 3185b32bead57705b267ebd3ed4b3a08bf7b9560
Merge: c638cd1a 1ba256de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 18 09:57:25 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 1ba256ded311145b83fcb7dcacefece5a3807e9f
Merge: 87db7791 2ab2d9e3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 18 09:56:22 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 2ab2d9e3cbaef41a653cc6f6d47efe6ebd4bf925
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 18 09:29:44 2023 +0200

    Reduce the subcats by 5.

 src/yicon.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit a7f12c3765dd02a7575a91e1be0ed0f8ce93633e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 17 21:38:21 2023 +0200

    Let icesh exit with zero if the last action was a successful manager
    action.

 src/icesh.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 5827184c8fad273a11d7e8a2a4ea4246783b2b89
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 17 21:33:30 2023 +0200

    Also focus last window when hiding and Click-to-focus for issue #727.

 src/wmframe.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 562da294da84f9d03c29cd8a4c7072d0baf693ab
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 16 19:52:56 2023 +0200

    Detect idempotent RandR updates for issue #728.
    Only ArrangeWindowsOnScreenSizeChange when the desktop is really resizing.

 src/wmmgr.cc   |  14 ++++---
 src/yarray.h   |   4 ++
 src/ywindow.cc | 108 +++++++++++++++++++++++++++++++----------------------
 src/ywindow.h  |  13 +++++--
 4 files changed, 86 insertions(+), 53 deletions(-)

commit 4336686af503efc1b81919392f1e6dfe9bf0be9f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 16 19:51:46 2023 +0200

    Check for TaskBarDoubleHeight when computing workspace button height.

 src/wmtaskbar.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 549a77a64a307ce5df08f01edaf398a41034f94b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 16 19:47:42 2023 +0200

    Limit the resource string of an unresponsive client for issue #729.

 src/wmclient.cc | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 62fee7a492b01b4e089e3e55038096d0d4a98ab0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 12 18:40:18 2023 +0200

    Compute the ultimate workspace button height, before creating them.

 src/aworkspaces.cc | 7 ++++---
 src/aworkspaces.h  | 3 ++-
 src/wmtaskbar.cc   | 5 ++++-
 src/ywindow.h      | 1 +
 4 files changed, 11 insertions(+), 5 deletions(-)

commit 1c8fcc7ce89b8bbb54c63d14e6e530a603ae86a2
Author: Jan Papež <honyczek@centrum.cz>
Date:   Thu May 11 20:03:57 2023 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (525 of 525 strings)

 po/cs.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit d7a5ffb3a8a83ca145e815ad58eea0950d7eefd2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 11 20:55:34 2023 +0200

    Test for i18n by negation.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a85838bfbfc2a55fdeb909dc7ae1536e75bcb20c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 10 22:53:32 2023 +0200

    Temporarily hide the taskbar collapse button when collapsing or expanding.

 src/wmtaskbar.cc | 1 +
 1 file changed, 1 insertion(+)

commit a6cb72bfab927f73045bea212341ad4eff59b3fc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 10 22:52:42 2023 +0200

    Rescale workspace buttons when taskbar is rather high.

 src/aworkspaces.cc | 30 +++++++++++++++++++-----------
 src/aworkspaces.h  |  1 +
 2 files changed, 20 insertions(+), 11 deletions(-)

commit 397e27dcfb38f29bf983bf774c8cea794c7bf501
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 10 12:55:06 2023 +0200

    Use "firefox" instead of "mozilla" as Firefox icon for ice-wm/icewm#132.

 lib/menu.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 80ab66b1bbb2d7fbc47929daec462fe5a46ed1ac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 8 22:37:54 2023 +0200

    Report when icon could not be found for issue ice-wm/icewm#133.

 src/debug.h    | 4 ++--
 src/icetray.cc | 2 +-
 src/yicon.cc   | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit fd02e721ae6202ddb14620c6af0b1edb2c37b5a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 8 18:30:59 2023 +0200

    An Escape key release event must match the key press event for #726.

 src/aaddressbar.cc |  4 +++-
 src/aaddressbar.h  |  1 +
 src/wmswitch.cc    |  4 +++-
 src/wmswitch.h     |  1 +
 src/wmwinlist.cc   |  6 ++++--
 src/wmwinlist.h    |  3 +++
 src/ydialog.cc     | 12 ++++++++----
 src/ydialog.h      |  1 +
 src/yinputline.cc  |  4 +++-
 src/yinputline.h   |  1 +
 src/ymenu.cc       |  4 +++-
 src/ymenu.h        |  1 +
 12 files changed, 32 insertions(+), 10 deletions(-)

commit 725e7a5cd3fa481e606ff2359f7066c916351173
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 7 20:23:20 2023 +0200

    Mention the hash-bang in the startup file.

 man/icewm-startup.pod | 2 ++
 1 file changed, 2 insertions(+)

commit 2f2afd96d715761458f4ce9693c3c5c77053ca54
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 7 20:19:09 2023 +0200

    Lookup icons in more context directories for issue ice-wm/icewm#132.

 src/yicon.cc     | 22 ++++++++++------------
 src/ymenuitem.cc |  3 +--
 2 files changed, 11 insertions(+), 14 deletions(-)

commit dd1adb39b80cb925a2752008fd854501c5fe8f6c
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed May 3 19:38:09 2023 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (525 of 525 strings)

 po/pt.po | 12 ++++--------
 1 file changed, 4 insertions(+), 8 deletions(-)

commit c638cd1a5bd1f7602d59991f5bbe487f9eea4a00
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 3 12:41:08 2023 +0200

    Prepare 3.3.4 release

 AUTHORS      |  13 +-
 ChangeLog    | 804 +++++++++++++++++++++++++------------------------------
 NEWS         |  99 ++++---
 README.md    |  38 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  68 ++---
 po/be.po     |  68 ++---
 po/bg.po     |  68 ++---
 po/ca.po     |  68 ++---
 po/cs.po     |  68 ++---
 po/da.po     |  68 ++---
 po/de.po     |  68 ++---
 po/el.po     |  68 ++---
 po/en.po     |  68 ++---
 po/es.po     |  68 ++---
 po/fi.po     |  68 ++---
 po/fr.po     | 108 ++++----
 po/he.po     |  68 ++---
 po/hr.po     |  68 ++---
 po/hu.po     |  68 ++---
 po/icewm.pot |  70 ++---
 po/id.po     |  68 ++---
 po/it.po     |  68 ++---
 po/ja.po     |  68 ++---
 po/ko.po     |  68 ++---
 po/lt.po     |  68 ++---
 po/lv.po     |  68 ++---
 po/mk.po     |  68 ++---
 po/nb.po     |  68 ++---
 po/nl.po     |  68 ++---
 po/no.po     |  68 ++---
 po/pl.po     |  68 ++---
 po/pt.po     |  68 ++---
 po/pt_BR.po  |  76 +++---
 po/ro.po     |  68 ++---
 po/ru.po     |  84 +++---
 po/sk.po     |  68 ++---
 po/sl.po     |  68 ++---
 po/sv.po     |  84 +++---
 po/tr.po     |  80 +++---
 po/uk.po     |  68 ++---
 po/vi.po     |  68 ++---
 po/zh_CN.po  |  68 ++---
 po/zh_TW.po  |  68 ++---
 46 files changed, 1829 insertions(+), 1885 deletions(-)

commit 4e4f6603618316a76dfc3c62e03cf5a3a9fa784c
Merge: 1bef488a 87db7791
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 3 12:38:56 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 87db7791b3db1479001b10b7de587c350edd0cfe
Merge: 8ada50ff f9149e62
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 3 12:38:05 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit f9149e621694acda21adb3292decde627e9eea9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 2 23:13:33 2023 +0200

    When managing a new client, postpone sending a Configure event until
    the final position is known, for issue #720.

 src/decorate.cc | 3 ++-
 src/wmframe.cc  | 9 ++++++++-
 src/wmframe.h   | 4 ++--
 3 files changed, 12 insertions(+), 4 deletions(-)

commit 885953d0ffdad031d4ebf68863c41d3a8fa3410a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 30 21:44:16 2023 +0200

    Revert "Fix compile error for yximage.cc." 30bd4f5

 src/yximage.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 794875889f18b27ae9a90ad1fc3d808c1ac2519a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 30 10:06:40 2023 +0200

    Support icesh "focusmodel" for client windows without a WM_HINTS property.

 src/icesh.cc | 27 ++++++++++++++-------------
 1 file changed, 14 insertions(+), 13 deletions(-)

commit 59539385d029184227e0eccefe3c8efd706913ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 29 06:53:21 2023 +0200

    Let configure on OpenBSD test for -liconv in EXTRA_LIBS.

 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

commit 8206ae0cec4ed2d8e89b6b544ba535adc41c1cc9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 29 06:49:52 2023 +0200

    Let icesh report up to 1024 bytes of a property in "prop".

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 278bc29d2bbc8fddf78bbfda39be67351491f41d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 29 06:46:33 2023 +0200

    Turkish translation of .desktop files and closes #716.

 lib/icewm-session.desktop | 2 ++
 lib/icewm.desktop         | 2 ++
 2 files changed, 4 insertions(+)

commit 7fa72b6db815b264395ef36ca01bb9d9b4713270
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Apr 26 23:54:34 2023 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (525 of 525 strings)

 po/pt_BR.po | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit f9277940bd80261b944bbacc8332bbd3431221be
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 24 21:31:52 2023 +0200

    Cache toolbar button gradients to speedup drawing.  Eliminate half of
    the button drawings on startup.

 src/objbar.cc    |  9 +++------
 src/objbutton.cc | 30 ++++++++++++++++++++++++++++--
 src/objbutton.h  | 15 ++++++++++-----
 src/wmtaskbar.cc |  6 +++++-
 4 files changed, 46 insertions(+), 14 deletions(-)

commit 031cdf6a87d66a9bb3d07b5390bff8edec1b61f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 23 18:46:26 2023 +0200

    Guard against workspace button gradient being undefined.

 src/aworkspaces.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit f208e27aefaf629ae26233faad284dbb3e76f217
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 23 18:36:54 2023 +0200

    Cache workspace button backgrounds for faster redrawing.

 src/aworkspaces.cc | 33 +++++++++++++++++++++++++++++++--
 src/aworkspaces.h  |  6 +++++-
 2 files changed, 36 insertions(+), 3 deletions(-)

commit eb0933d1feebc715bb0e5db1c3c4395da3384da7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 23 18:34:01 2023 +0200

    Improve the quality of drawing gradients for the GdkPixbuf renderer.

 src/yimage_gdk.cc | 84 ++++++++++++++++++++++++++++++++++++++++++++++-----
 src/yimage_gdk.h  | 13 ++++----
 2 files changed, 82 insertions(+), 15 deletions(-)

commit f156d91f36dcdadb2f035afc3f25f04ee66e89b1
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sat Apr 22 05:48:44 2023 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (525 of 525 strings)

 po/tr.po | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit dd36202452c1ffa41d394f0525a401b1ee304731
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Fri Apr 21 06:28:45 2023 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (525 of 525 strings)

 po/tr.po | 82 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 41 insertions(+), 41 deletions(-)

commit d35634ee379b663f97883cdf957a951b5b56349a
Author: Wallon <franckjl@hotmail.com>
Date:   Fri Apr 21 09:05:23 2023 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (525 of 525 strings)

 po/fr.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 703414c3d27c2499f54b3eea29baab1f714b305b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 19 19:32:12 2023 +0200

    Let icesh also pick icewm internal and override redirect windows.

 src/icesh.cc | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 83d8f80309081e42e5b607b88ca5f6cc11339175
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Wed Apr 19 04:37:20 2023 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (525 of 525 strings)

 po/ru.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c9e82998930fce2cccdbc4cdcceacdfebffbb8e9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 16 22:18:13 2023 +0200

    Improve arrow navigation in the system dialog.

 src/wmdialog.cc | 43 +++++++++++++++++++++++++++++++------------
 src/wmdialog.h  |  2 ++
 2 files changed, 33 insertions(+), 12 deletions(-)

commit 999cccd3c2d2e66f0c297e7888edc4b09c92b3e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 16 11:13:32 2023 +0200

    Improve the quality of drawing gradients for the Imlib2 renderer.

 src/ref.h       |  2 +-
 src/wmstatus.cc |  8 ++----
 src/yimage2.cc  | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/yimage2.h   |  8 +++---
 src/ypaint.cc   | 20 +++++++++++++++
 src/ypaint.h    |  8 ++----
 6 files changed, 99 insertions(+), 18 deletions(-)

commit 75c35d5acaa101b7c3efdeb9148f84d65b40b2be
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Sat Apr 15 14:55:33 2023 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (525 of 525 strings)

 po/ru.po | 75 ++++++++++++++++++++++++++++--------------------------------
 1 file changed, 35 insertions(+), 40 deletions(-)

commit e7fef962ae0fbd353264be01d32ef6d6a3ae1f13
Author: bittin <droidbittin@gmail.com>
Date:   Fri Apr 14 18:10:33 2023 +0200

    Swedish translation and credits (#714)

 lib/icewm-session.desktop | 2 ++
 lib/icewm.desktop         | 2 ++
 po/sv.po                  | 1 +
 3 files changed, 5 insertions(+)

commit 522e38e88e71226da02f25808516aa73734ab2e9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 12 23:55:52 2023 +0200

    When internationalization is disabled, unset LIBICONV.

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 2b19f7d199fe40c5b655330a00c68a0a5b9dfcfe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 10 23:38:10 2023 +0200

    Fix corrupted text if built without i18n for issue ice-wm/icewm#131.

 src/ylocale.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 54c594deb9c547cb48e4079d028036647ac83f99
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 10 23:38:05 2023 +0200

    Deprecate XRRDisable.

 src/wmapp.cc | 1 +
 1 file changed, 1 insertion(+)

commit 30bd4f5dc92f55473c08ceec35ed21ade5d17a0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 10 23:37:25 2023 +0200

    Fix compile error for yximage.cc.

 src/yximage.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 1bef488a628c7a1ab041fa3016c6b619273e5d45
Merge: 512dd97f 31c41d1b
Author: gijsbers <gijsbers@users.noreply.github.com>
Date:   Mon Apr 10 13:20:06 2023 +0200

    Merge pull request #130 from ice-wm/revert-127-patch-1

    Revert "Update icewm.desktop"

commit 31c41d1beceb214c781fa6918593b1e69306301f
Author: gijsbers <gijsbers@users.noreply.github.com>
Date:   Mon Apr 10 13:18:13 2023 +0200

    Revert "Update icewm.desktop"

 lib/icewm.desktop | 2 --
 1 file changed, 2 deletions(-)

commit 512dd97fae605e83a699bd510ac8132ad25943cc
Merge: 5c0214ca bf6df611
Author: gijsbers <gijsbers@users.noreply.github.com>
Date:   Mon Apr 10 13:17:18 2023 +0200

    Merge pull request #127 from bittin/patch-1

    Update icewm.desktop

commit 5c08dbaed1664db0a4cd71699a344a7b2c97ec11
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Mon Apr 10 04:44:32 2023 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (525 of 525 strings)

 po/sv.po | 34 +++++++++++++++-------------------
 1 file changed, 15 insertions(+), 19 deletions(-)

commit bf6df61189c67107b2ff07eb226e25d1b0515e58
Author: bittin <droidbittin@gmail.com>
Date:   Mon Apr 10 06:53:26 2023 +0200

    Update icewm.desktop

    Add Swedish Translation

 lib/icewm.desktop | 2 ++
 1 file changed, 2 insertions(+)

commit 5c0214ca3c0c75510595cf04b1d9e859764eaa72
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 9 23:35:26 2023 +0200

    Prepare 3.3.3 release

 AUTHORS      |   20 +-
 ChangeLog    | 1205 +++++++++++++++++++++++++-----------------------------
 NEWS         |  140 ++++---
 README.md    |   38 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |   14 +-
 po/be.po     |   14 +-
 po/bg.po     |   14 +-
 po/ca.po     |   18 +-
 po/cs.po     |   14 +-
 po/da.po     |   14 +-
 po/de.po     |   14 +-
 po/el.po     |   14 +-
 po/en.po     |   14 +-
 po/es.po     |   14 +-
 po/fi.po     |   14 +-
 po/fr.po     |   46 +--
 po/he.po     |   14 +-
 po/hr.po     |   14 +-
 po/hu.po     |   18 +-
 po/icewm.pot |   16 +-
 po/id.po     |   14 +-
 po/it.po     |   14 +-
 po/ja.po     |   18 +-
 po/ko.po     |   14 +-
 po/lt.po     |   14 +-
 po/lv.po     |   14 +-
 po/mk.po     |   14 +-
 po/nb.po     |   14 +-
 po/nl.po     |   18 +-
 po/no.po     |   14 +-
 po/pl.po     |   14 +-
 po/pt.po     |   14 +-
 po/pt_BR.po  |   14 +-
 po/ro.po     |   14 +-
 po/ru.po     |   14 +-
 po/sk.po     |   18 +-
 po/sl.po     |   14 +-
 po/sv.po     |   14 +-
 po/tr.po     |   18 +-
 po/uk.po     |   14 +-
 po/vi.po     |   14 +-
 po/zh_CN.po  |   14 +-
 po/zh_TW.po  |   14 +-
 46 files changed, 977 insertions(+), 1044 deletions(-)

commit 6aab66de5a205bf4edbc21bb2fc270ae91dd179e
Merge: accba784 8ada50ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 9 23:29:23 2023 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 8ada50ff2dc1d2659cd6cf35cd3d7916dbba7664
Merge: 65c0a619 1e6db34d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 9 23:28:14 2023 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 1e6db34d2b3ad2adf2371bc3fba451a04c2ae662
Author: Wallon <franckjl@hotmail.com>
Date:   Sat Apr 8 15:05:36 2023 +0000

    Translated using Weblate (French)

    Currently translated at 99.8% (524 of 525 strings)

 po/fr.po | 176 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 87 insertions(+), 89 deletions(-)

commit 3c970daaa3cb6a76bac260573ef18bc4da8bab0f
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Sun Apr 2 21:19:48 2023 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (525 of 525 strings)

 po/tr.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit e7de1c2628ef093947962612be3cff521116b68b
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Fri Mar 31 17:17:22 2023 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 99.6% (523 of 525 strings)

 po/pt_BR.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 27af1ca7b0a6070577c321e0f40bbf0467166254
Author: Kempelen <lion@cmsbazar.hu>
Date:   Tue Mar 28 19:19:38 2023 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (525 of 525 strings)

 po/hu.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 2798d40a3e3a93a083fad779a28319f78c550841
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 28 18:26:02 2023 +0200

    Document the --verbose option of icewmbg.

 man/icewmbg.pod | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 2a6694ef423b72795f385716d974c62ca01bf00a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 28 18:24:11 2023 +0200

    Add support for Xrandr events to icewmbg for issue #713.

 src/icewmbg.cc | 33 +++++++++++++++++++++++++++++----
 1 file changed, 29 insertions(+), 4 deletions(-)

commit 7e5f34b1b645892302f3d35b7a5af7a56e899991
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 28 18:22:51 2023 +0200

    Detect when a screen dimension changes, even though the desktop geometry
    remains the same.

 src/ywindow.cc | 32 +++++++++++++++++++++++++++-----
 src/ywindow.h  |  7 ++++++-
 2 files changed, 33 insertions(+), 6 deletions(-)

commit 2a68027f6bbb06ae193118095ccaaaedba83ad3b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 28 18:22:08 2023 +0200

    When the desktop geometry changes, rearrange the desktop icons.

 src/wmmgr.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a6333e6ec065ab92e96a32596e322c5e771247a
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Mar 28 11:52:18 2023 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (525 of 525 strings)

 po/sk.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit ed16dbeb310eb4b3c86e6ac2ce9ff3be0ccd7d27
Author: David Medina <medipas@gmail.com>
Date:   Tue Mar 28 13:34:34 2023 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (525 of 525 strings)

 po/ca.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 28bb6f5f354ae5a80b37cacd652e669f97bb2720
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Tue Mar 28 08:11:11 2023 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (525 of 525 strings)

 po/nl.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 67db8c6e0f2f8c378dee4a140ba432177242d568
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Mar 27 22:06:30 2023 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (525 of 525 strings)

 po/ja.po | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit a4afc7d59fcc4df0148221395f1de3950215d4ce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 28 00:47:57 2023 +0200

    Use actionClose.

 src/wmdialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2035a31ceeaebaff5adbaec3da5aa12116b5eeb4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 23:04:16 2023 +0200

    Close doesn't reload.

 src/wmdialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08d5a06fdb1bb310db97d331eca13da5e57bbc32
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 23:02:39 2023 +0200

    Only enabled buttons are focus traversable.

 src/ybutton.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 04fde206b306e7cdabf89c882f5a7132977cdfe5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 21:32:50 2023 +0200

    Document the system dialog.

 man/icewm.pod | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 43b02f3d934ae224dd1e56c117960b19ef9a8138
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 21:01:13 2023 +0200

    Update potfiles.

 po/ar.po     | 348 +++++++++++++++++++++++++------------------------
 po/be.po     | 350 ++++++++++++++++++++++++++------------------------
 po/bg.po     | 350 ++++++++++++++++++++++++++------------------------
 po/ca.po     | 352 ++++++++++++++++++++++++++------------------------
 po/cs.po     | 352 ++++++++++++++++++++++++++------------------------
 po/da.po     | 348 +++++++++++++++++++++++++------------------------
 po/de.po     | 352 ++++++++++++++++++++++++++------------------------
 po/el.po     | 348 +++++++++++++++++++++++++------------------------
 po/en.po     | 342 +++++++++++++++++++++++++------------------------
 po/es.po     | 352 ++++++++++++++++++++++++++------------------------
 po/fi.po     | 348 +++++++++++++++++++++++++------------------------
 po/fr.po     | 356 +++++++++++++++++++++++++++------------------------
 po/he.po     | 354 ++++++++++++++++++++++++++------------------------
 po/hr.po     | 348 +++++++++++++++++++++++++------------------------
 po/hu.po     | 384 +++++++++++++++++++++++++++++--------------------------
 po/icewm.pot | 344 +++++++++++++++++++++++++------------------------
 po/id.po     | 348 +++++++++++++++++++++++++------------------------
 po/it.po     | 352 ++++++++++++++++++++++++++------------------------
 po/ja.po     | 352 ++++++++++++++++++++++++++------------------------
 po/ko.po     | 350 ++++++++++++++++++++++++++------------------------
 po/lt.po     | 352 ++++++++++++++++++++++++++------------------------
 po/lv.po     | 350 ++++++++++++++++++++++++++------------------------
 po/mk.po     | 346 +++++++++++++++++++++++++------------------------
 po/nb.po     | 350 ++++++++++++++++++++++++++------------------------
 po/nl.po     | 352 ++++++++++++++++++++++++++------------------------
 po/no.po     | 350 ++++++++++++++++++++++++++------------------------
 po/pl.po     | 353 ++++++++++++++++++++++++++------------------------
 po/pt.po     | 348 +++++++++++++++++++++++++------------------------
 po/pt_BR.po  | 348 +++++++++++++++++++++++++------------------------
 po/ro.po     | 350 ++++++++++++++++++++++++++------------------------
 po/ru.po     | 352 ++++++++++++++++++++++++++------------------------
 po/sk.po     | 352 ++++++++++++++++++++++++++------------------------
 po/sl.po     | 350 ++++++++++++++++++++++++++------------------------
 po/sv.po     | 356 +++++++++++++++++++++++++++------------------------
 po/tr.po     | 352 ++++++++++++++++++++++++++------------------------
 po/uk.po     | 348 +++++++++++++++++++++++++------------------------
 po/vi.po     | 350 ++++++++++++++++++++++++++------------------------
 po/zh_CN.po  | 348 +++++++++++++++++++++++++------------------------
 po/zh_TW.po  | 348 +++++++++++++++++++++++++------------------------
 39 files changed, 7138 insertions(+), 6547 deletions(-)

commit 48034bb94023f61702e24c2747a0056a15e8123c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 21:00:16 2023 +0200

    Add three more buttons to the system dialog.

 src/wmaction.h      |  1 +
 src/wmdialog.cc     | 27 ++++++++++++++++++++++-----
 src/wmdialog.h      |  3 ++-
 src/wmmgr.cc        |  3 +++
 src/yactionbutton.h |  1 +
 5 files changed, 29 insertions(+), 6 deletions(-)

commit 808595edb27433fc8e7c837bf9790596bef2ce65
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 19:50:04 2023 +0200

    Adjust width of workspace buttons when screen resolution changes for #713.

 src/aworkspaces.cc | 31 +++++++++++++++++++++++++++----
 src/aworkspaces.h  |  3 +++
 2 files changed, 30 insertions(+), 4 deletions(-)

commit d5f007619737ccf8d51f916a9afd74bd9a3991aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 27 19:25:47 2023 +0200

    Prevent integer overflow for very small screen dimensions.

 src/wmtaskbar.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 111e385e11daa2a7145e2bd04f842ab304964e72
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Mon Mar 27 04:32:00 2023 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 36.9% (193 of 522 strings)

 po/mk.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit d3d12527ef07f593a4d3efa0a43162475134e2d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 26 19:24:43 2023 +0200

    Support commands composed with || in the system dialog. Support the
    Prior and Next keys in the system dialog.

 src/wmaction.h      |   2 +
 src/wmapp.cc        |   2 +-
 src/wmdialog.cc     | 169 ++++++++++++++++++++++++++----------------------
 src/wmdialog.h      |  12 +---
 src/yactionbutton.h |   5 +-
 5 files changed, 99 insertions(+), 91 deletions(-)

commit bd6109c4d8a7c1ba0f8b4e41caaf269e3f6ac89b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 26 15:48:24 2023 +0200

    Fix the drawing of the focused button in the System Dialog for Look=flat.

 src/ybutton.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3f6e852ff9f36eb344d9643e9556853ffedbd384
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 11:12:17 2023 +0100

    Remove upath from DProgram and MenuProgMenu.

 src/wmprog.cc | 29 +++++++++++++++--------------
 src/wmprog.h  | 14 ++++++++------
 2 files changed, 23 insertions(+), 20 deletions(-)

commit 197bcc65d5f7847266a219650b053b64e12629ed
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 11:09:03 2023 +0100

    Make the System Dialog modal to avoid confusion about what window
    has focus. Respond to Escape on key release, not on press, to prevent
    applications from receiving a stray Escape key release event.

 src/wmaction.h  |  1 +
 src/wmapp.cc    | 13 ++++++-------
 src/wmapp.h     |  2 +-
 src/wmdialog.cc | 45 +++++++++++++++++++++++++++++----------------
 src/wmdialog.h  |  1 +
 src/wmmgr.cc    |  4 +---
 6 files changed, 39 insertions(+), 27 deletions(-)

commit 017f923b1731bb74b9f2e3a1a4a5a6aac6ee8521
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:47:38 2023 +0100

    Report when "menuprog" process crashed.

 src/wmmenu.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 3b612d25c7e4981259b59c9b1e76c240c944e119
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:46:00 2023 +0100

    Respond to Escape on key release, not on key press.

 src/ymenu.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit ec4e75fd595145cd7d916cb1f0aae231c710f282
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:45:45 2023 +0100

    Respond to Escape on key release, not on key press.

 src/yinputline.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 0fbb13cf789688213cd34b7d935dd1c6b226fd9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:45:34 2023 +0100

    Respond to Escape on key release, not on key press.

 src/ydialog.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4164125acb6127c3a8099a0c5b659145e20ad2e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:45:10 2023 +0100

    Fix for drawing button text in the System Dialog.

 src/ybutton.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 664122e04fc9affe5b476d31b0c657f656101d07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:43:11 2023 +0100

    Let Window List respond to Escape on key release, not on key press.

 src/wmwinlist.cc | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit 137601cec07ee652e2beb260d92741d121fe4c54
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:42:56 2023 +0100

    Let QuickSwitch respond to Escape on key release, not on key press.

 src/wmswitch.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d1a2fe72e9806dfcdb51b0832081469bbbcd3b5c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:41:36 2023 +0100

    Respond to Escape on key release, not on key press.

 src/testnetwmhints.cc | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 2cc74335490750b5c9e53ff8207fa5c7c5c68ddc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:41:24 2023 +0100

    Optimize the default newstr.

 src/misc.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 266187999756bae69092fad9f4535309e7124efe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:40:48 2023 +0100

    Respond to Escape on key release, not on key press.

 src/iceview.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 898fb10aec36866262547e43ea24f70b1dc0364a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:40:34 2023 +0100

    Respond to Escape on key release, not on key press.

 src/icesh.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 48bf76733ac92d4a14d10d492b358f146a1bb085
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:40:18 2023 +0100

    Respond to Escape on key release, not on key press.

 src/icelist.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 88ddf67fd5fd628d25478a698ff97302f93217a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:40:10 2023 +0100

    Respond to Escape on key release, not on key press.

 src/iceicon.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a1c78e76487287bb359e76bff910f439385efdcb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 25 10:39:15 2023 +0100

    Respond to Escape on key release, not on key press.

 src/aaddressbar.cc | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 098bc281e65914e44481d0de3e3c96490b5a0fda
Author: Kempelen <lion@cmsbazar.hu>
Date:   Sun Mar 19 09:52:03 2023 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (522 of 522 strings)

 po/hu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 39878e3caf7359ec66f5dc31d705563bd21dd456
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 19 10:34:43 2023 +0100

    Inline iterating over PATH for issue ice-wm/icewm#122.

 src/misc.cc | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit cdecdbbc7b833b26afbd9c9758bdacf30a020120
Author: Kempelen <lion@cmsbazar.hu>
Date:   Sat Mar 18 18:44:21 2023 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (522 of 522 strings)

 po/hu.po | 487 +++++++++++++++++++++++------------------------------------
 1 file changed, 192 insertions(+), 295 deletions(-)

commit db13c39f7365adf95b092390140398f5d15f7ec9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 15 20:58:00 2023 +0100

    Force token evaluation as char pointer.

 src/misc.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ecb299daffd1694980fe4e77e1a6a66428c099a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 15 20:57:05 2023 +0100

    Also link icewm with libintl and libiconv for FreeBSD.

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cb19787c598776f825bf76fed8e10002a4656a4b
Author: welaq <welaq@users.noreply.github.com>
Date:   Tue Mar 14 16:41:33 2023 +0200

    Add Lithuanian translation to .desktop files (#711)

 lib/icewm-session.desktop | 3 +++
 lib/icewm.desktop         | 2 ++
 2 files changed, 5 insertions(+)

commit accba7847b20055e148bf0adaaccff62565e17b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 13 23:03:53 2023 +0100

    Prepare 3.3.2 release

 AUTHORS      |   22 +-
 ChangeLog    | 1018 ++++++++++++++++++++++++++++--------------------------
 NEWS         |  138 +++++---
 README.md    |   38 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  114 +++---
 po/be.po     |  116 +++----
 po/bg.po     |  116 +++----
 po/ca.po     |  114 +++---
 po/cs.po     |  255 +++++++-------
 po/da.po     |  114 +++---
 po/de.po     |  255 +++++++-------
 po/el.po     |  114 +++---
 po/en.po     |  114 +++---
 po/es.po     |  255 +++++++-------
 po/fi.po     |  114 +++---
 po/fr.po     |  259 +++++++-------
 po/he.po     |  259 +++++++-------
 po/hr.po     |  114 +++---
 po/hu.po     |  118 +++----
 po/icewm.pot |  116 +++----
 po/id.po     |  114 +++---
 po/it.po     |  255 +++++++-------
 po/ja.po     |  114 +++---
 po/ko.po     |  116 +++----
 po/lt.po     |  257 +++++++-------
 po/lv.po     |  116 +++----
 po/mk.po     |  114 +++---
 po/nb.po     |  116 +++----
 po/nl.po     |  114 +++---
 po/no.po     |  116 +++----
 po/pl.po     |  257 +++++++-------
 po/pt.po     |  114 +++---
 po/pt_BR.po  |  114 +++---
 po/ro.po     |  116 +++----
 po/ru.po     |  114 +++---
 po/sk.po     |  114 +++---
 po/sl.po     |  116 +++----
 po/sv.po     |  259 +++++++-------
 po/tr.po     |  114 +++---
 po/uk.po     |  114 +++---
 po/vi.po     |  116 +++----
 po/zh_CN.po  |  251 +++++++-------
 po/zh_TW.po  |  251 +++++++-------
 46 files changed, 3689 insertions(+), 3570 deletions(-)

commit c45448d7f321fe9e8098a5df9b72593c7d5cf06f
Merge: b7d9c15b 65c0a619
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 13 22:27:53 2023 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 65c0a619c0840ed54cfb15be2bf9126694f77f57
Merge: 3ebe2ca9 4986f248
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 13 22:27:23 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 4986f248ffe658666c9857442796ce7bf8e99030
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 13 19:26:12 2023 +0100

    Improve more winoption details in the manpages.

 man/icewm-winoptions.pod | 37 ++++++++++++++++++++-----------------
 man/icewmhint.pod        | 10 +++++++---
 2 files changed, 27 insertions(+), 20 deletions(-)

commit 058187ef1ff82127ea9b8b87e8a6ba5ec1a1d0f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 13 19:06:54 2023 +0100

    When mapping a new client, check if it overlaps the focus.
    When taskbar is collapsed, don't let it reduce the workarea.

 src/wmmgr.cc     | 15 +++++++++++----
 src/wmmgr.h      |  1 +
 src/wmtaskbar.cc |  5 ++++-
 src/wmtaskbar.h  |  1 +
 4 files changed, 17 insertions(+), 5 deletions(-)

commit ee2d4b035c31d9dafc2806b878a32a249690a67c
Author: neome <neome@posteo.me>
Date:   Sun Mar 12 20:33:14 2023 +0000

    Translated using Weblate (Polish)

    Currently translated at 96.9% (506 of 522 strings)

 po/pl.po | 318 +++++++++++++++++++++--------------------------------------
 1 file changed, 112 insertions(+), 206 deletions(-)

commit b9427c68c3a349a4b79511af9bf35b1fab570f39
Author: Moo oo <nazaq@protonmail.com>
Date:   Thu Mar 9 10:48:44 2023 +0000

    Translated using Weblate (Lithuanian)

    Currently translated at 51.9% (271 of 522 strings)

 po/lt.po | 186 +++++++++++++++++++++++++++--------------------------------
 1 file changed, 84 insertions(+), 102 deletions(-)

commit b9513d157da37a51b74e4bf3e745a29d818bd6b8
Author: Moo oo <nazaq@protonmail.com>
Date:   Wed Mar 8 23:32:30 2023 +0000

    Translated using Weblate (Lithuanian)

    Currently translated at 41.3% (216 of 522 strings)

 po/lt.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit cdf32183bd72f11863e2026342fea2363e0eaa41
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 8 19:24:00 2023 +0100

    Improve readability of the winoptions manpage.

 man/icewm-winoptions.pod | 125 ++++++++++++++-----------------------------
 1 file changed, 41 insertions(+), 84 deletions(-)

commit 9d19777a4e01fb6ba234fca4da997f8245d09f68
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Wed Mar 8 13:51:37 2023 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (522 of 522 strings)

 po/sv.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 24731a3a32310e24fb370dd1a9ce35e2cc42b494
Author: Luna  Jernberg <bittin@opensuse.org>
Date:   Sun Mar 5 12:58:24 2023 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (522 of 522 strings)

 po/sv.po | 31 +++++++++++++++++++------------
 1 file changed, 19 insertions(+), 12 deletions(-)

commit cf5d7582cfbb86f366939032e9a69b190f5dbe03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 4 17:43:32 2023 +0100

    Fix unpaired parentheses in the manpages.

 man/icewm-menu-xrandr.pod |  2 +-
 man/icewm-preferences.pod | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit aefe80c840ac7836747dd2755da1f872e5f0952b
Author: Mohammad Rezaei Seresht <m.networking@gmail.com>
Date:   Sat Mar 4 12:57:19 2023 +0000

    Translated using Weblate (Persian)

    Currently translated at 21.2% (37 of 174 strings)

 po/fa.po | 66 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 35 insertions(+), 31 deletions(-)

commit d05c7ef4c787d1612e4604c4ea51094a6e79edfb
Author: Mohammad Rezaei Seresht <m.networking@gmail.com>
Date:   Fri Mar 3 17:52:15 2023 +0000

    Translated using Weblate (Persian)

    Currently translated at 2.8% (5 of 174 strings)

 po/fa.po | 22 +++++++++++++++-------
 1 file changed, 15 insertions(+), 7 deletions(-)

commit 7de8c659259cd549d3807227f643187e7b3c432a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 28 19:33:42 2023 +0100

    Preserve the stacking order for fullscreen windows when Alt+Tabbing for
    issue #611.  When hitting Escape while Alt+Tabbing abandon any selection.

 src/wmswitch.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 53a2ccaa7356056685e2953921cf0d45ffb86918
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 26 22:53:22 2023 +0100

    Document all layer names.

 man/icesh.pod            |  2 ++
 man/icewm-winoptions.pod |  8 +++++---
 man/icewmhint.pod        | 22 ++++++++++------------
 3 files changed, 17 insertions(+), 15 deletions(-)

commit 276c2eaa0cd99e57e552abde9b27817926b9a27f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 26 22:52:01 2023 +0100

    Include ClickToFocus in maybeFocus.

 src/wmframe.cc | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 3de12e8427ec30ba375ec4b695123060df971b26
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 26 22:51:38 2023 +0100

    Cleanup details.

 src/default.h | 2 +-
 src/wmapp.cc  | 5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)

commit 92f093f9edc2758cc4c64a80f50623f6275465b6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 25 20:56:24 2023 +0100

    Improve the detection of overlapping windows to the focused window for
    grabbing/releasing the mouse buttons.

 src/decorate.cc    | 24 ++++++++++++++++++++----
 src/misc.cc        |  3 ++-
 src/movesize.cc    |  9 +++++++++
 src/wmcontainer.cc |  2 +-
 src/wmcontainer.h  |  1 +
 src/wmframe.cc     | 23 ++++++++---------------
 src/wmframe.h      |  5 +++--
 src/wmmgr.cc       | 16 +++++-----------
 8 files changed, 49 insertions(+), 34 deletions(-)

commit f05c2fe5026af0d74a6590adf6bb39a39f84aa47
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 23 20:47:57 2023 +0100

    When restoring a window, automatically focus it, if nothing has
    focus. Consider ClickToFocus and StrongPointerFocus when hiding or
    rolling up.

 src/wmclient.cc |  6 +++---
 src/wmframe.cc  | 29 ++++++++++++++++++++++++++---
 src/wmframe.h   |  1 +
 3 files changed, 30 insertions(+), 6 deletions(-)

commit 5884d6dd0630e2ddaf6d310f52f771025e7f8df4
Author: Jan Papež <honyczek@centrum.cz>
Date:   Mon Feb 20 13:12:05 2023 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (522 of 522 strings)

 po/cs.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 8f08fa1130429a683de7a000ff4bcffd54bf451a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Mon Feb 20 08:42:45 2023 +0000

    Translated using Weblate (Hebrew)

    Currently translated at 31.0% (162 of 522 strings)

 po/he.po | 58 +++++++++++++++++++++++-----------------------------------
 1 file changed, 23 insertions(+), 35 deletions(-)

commit ebeeb9c6af96533b299f1dae3e5fba29d6514faa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 16 00:20:38 2023 +0100

    Use "hasBorders" in layoutShape to fix "HideBordersMaximized".

 src/decorate.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 38fff32445ffd9d778e197605f5faaaddc9f6f32
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 16 00:19:28 2023 +0100

    Check prefs and state before starting delay focus timer.

 src/wmframe.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 4db763c88d3ce92ec017b8c6d00c2c76e068775e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 14 20:25:00 2023 +0100

    Add a "loop" example.

 man/icesh.pod | 5 +++++
 1 file changed, 5 insertions(+)

commit 9b452c127a5fcb203338626c2f221e2effea9acd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 14 20:23:10 2023 +0100

    For for "PointerFocusDelay" when mouse crosses different frame border
    subwindows.

 src/wmframe.cc | 21 +++++++--------------
 1 file changed, 7 insertions(+), 14 deletions(-)

commit f61476ee8ed6ec23f5f3ee6a92e0a997e136776a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 14 20:22:13 2023 +0100

    Add "unset" to "icewm-env" to unset environment variables by icewm-session.

 man/icewm-env.pod |  3 +++
 src/base.h        |  2 +-
 src/icesm.cc      |  8 ++++++++
 src/misc.cc       | 10 ++++------
 4 files changed, 16 insertions(+), 7 deletions(-)

commit 36e1b0d44a55ee1c528254f61eea4d901dd0bb78
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Feb 12 10:24:42 2023 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (522 of 522 strings)

 po/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0874fbec45f7df578faa227c4b7f059b43e6686c
Author: Sophie Leroy <sophie@stoquart.com>
Date:   Thu Feb 9 11:18:05 2023 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (522 of 522 strings)

 po/fr.po | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit d1466d3f32defbe498aa4b9d90a6bda37a37e13d
Author: Gemineo <vistatec@gemineo.de>
Date:   Thu Feb 9 12:49:34 2023 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (522 of 522 strings)

 po/de.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c871c990c0e2e6428ba9311f66ff06627366484a
Author: Antonio Simón <antonio@trans-mission.com>
Date:   Wed Feb 8 20:05:02 2023 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (522 of 522 strings)

 po/es.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit be8cd986ec68a5aba83948e79e787f2dd6bb93e0
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Wed Feb 8 06:31:58 2023 +0000

    Translated using Weblate (Chinese (Taiwan) (zh_TW))

    Currently translated at 100.0% (522 of 522 strings)

 po/zh_TW.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3a62ada1fc48b27c8842ab00de9699d269e16f3a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 7 22:23:53 2023 +0100

    Let icesh support picking window by frame or title bar.

 src/icesh.cc | 63 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 33 insertions(+), 30 deletions(-)

commit 9c560ea138465fa68cd377ec56ef861817e5f7a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 7 22:22:00 2023 +0100

    Update _NET_WM_ALLOWED_ACTIONS when changing tabs.

 src/wmframe.cc | 1 +
 1 file changed, 1 insertion(+)

commit 61f2da60304b6554a0d6d4a3a3db664c37fc4f0d
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Tue Feb 7 10:10:15 2023 +0000

    Translated using Weblate (Chinese (China) (zh_CN))

    Currently translated at 100.0% (522 of 522 strings)

 po/zh_CN.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6f1b023d4dd2e3a511fa1a7b13e998d4085b2724
Author: Davide Aiello <davide.aiello@novilingulists.com>
Date:   Tue Feb 7 11:54:30 2023 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (522 of 522 strings)

 po/it.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 472bfd10d23de96ea0c8101902cc67170e892581
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 7 00:15:30 2023 +0100

    Set a timeout on synchronization. Make window picking more reliable
    and tab-aware.  Add resize handles to "bordered" when client is resizable.

 src/icesh.cc | 113 +++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 80 insertions(+), 33 deletions(-)

commit 5c2607eca0fa8e67b46138f37a68c495848a92a5
Author: Gemineo <vistatec@gemineo.de>
Date:   Mon Feb 6 12:45:47 2023 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (522 of 522 strings)

 po/de.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 17c53f8c8dfed4eeee16430cdaa5ce7e965017c3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Feb 1 18:50:27 2023 +0100

    Faster synchronization.

 src/icesh.cc | 38 ++++++++++++++++++++++++++++++++++++--
 1 file changed, 36 insertions(+), 2 deletions(-)

commit 8758cd3773bca23a65705f714c2cd2451fc8e04f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 31 22:30:39 2023 +0100

    Handle failure of XGetWindowAttributes more graceful in icesh.

 src/icesh.cc | 144 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 90 insertions(+), 54 deletions(-)

commit 6b0b1dfb5f9516c13e98e0b9f0fc6069c8c40732
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 31 20:24:33 2023 +0100

    Don't set WM_PROTOCOLS on frames.

 src/wmframe.cc | 2 +-
 src/ywindow.cc | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b9114f9ee55c2b6ab006cf8a2e4246c98b48dab8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 31 18:17:03 2023 +0100

    Update layer from winoptions when WM_CLASS is changed.

 src/wmclient.cc | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit c235bd6dcc25e90a60d2e944ca2b94b7b7104afb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 31 18:15:49 2023 +0100

    Modify a copy of the WM_CLASS. Prevent messages for loop.

 man/icesh.pod | 18 +++++++++---------
 src/icesh.cc  | 45 ++++++++++++++++++++++++++++++---------------
 2 files changed, 39 insertions(+), 24 deletions(-)

commit 589b9feca18f9e12cd18ad010a0719a1d32414c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 29 21:34:54 2023 +0100

    Check for libiconv in configure for OpenBSD.

 configure.ac    |  1 +
 src/Makefile.am | 20 ++++++++++----------
 2 files changed, 11 insertions(+), 10 deletions(-)

commit b13116115146b20dc178f83735775b436334244a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 29 21:26:08 2023 +0100

    Add "loop" and "pick" commands to icesh. Add "Fullscreen" and "AboveAll"
    layer symbols to icesh.

 man/icesh.pod |  9 +++++++++
 src/icesh.cc  | 31 +++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+)

commit b7d9c15bc3fcd5a418be3cc53f81096245b5fe61
Merge: 02eed8ac 3ebe2ca9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 24 22:13:49 2023 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 3ebe2ca99b87134fa9ce7a3f176e69084682d773
Merge: d301a540 85aa7f4f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 24 22:13:19 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 85aa7f4f5d5f1359e6c4226934b810558f76e90f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 24 11:34:19 2023 +0100

    Add yimage_gdk.h.

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 02eed8acd046e42f429b6507e8cdbc432367ca3b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 22:11:28 2023 +0100

    Prepare 3.3.1 release

 AUTHORS      |   9 +-
 ChangeLog    | 958 ++++++++++++++++++++++++-------------------------------
 NEWS         |  96 ++++--
 README.md    |  38 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 109 +++----
 po/be.po     | 109 +++----
 po/bg.po     | 109 +++----
 po/ca.po     | 109 +++----
 po/cs.po     | 251 +++++++--------
 po/da.po     | 109 +++----
 po/de.po     | 109 +++----
 po/el.po     | 109 +++----
 po/en.po     | 109 +++----
 po/es.po     | 109 +++----
 po/fi.po     | 109 +++----
 po/fr.po     | 251 +++++++--------
 po/he.po     | 109 +++----
 po/hr.po     | 109 +++----
 po/hu.po     | 109 +++----
 po/icewm.pot | 111 +++----
 po/id.po     | 247 +++++++-------
 po/it.po     | 109 +++----
 po/ja.po     | 109 +++----
 po/ko.po     | 109 +++----
 po/lt.po     | 109 +++----
 po/lv.po     | 109 +++----
 po/mk.po     | 109 +++----
 po/nb.po     | 109 +++----
 po/nl.po     | 109 +++----
 po/no.po     | 109 +++----
 po/pl.po     | 109 +++----
 po/pt.po     | 109 +++----
 po/pt_BR.po  | 109 +++----
 po/ro.po     | 109 +++----
 po/ru.po     | 109 +++----
 po/sk.po     | 109 +++----
 po/sl.po     | 109 +++----
 po/sv.po     | 109 +++----
 po/tr.po     | 109 +++----
 po/uk.po     | 109 +++----
 po/vi.po     | 109 +++----
 po/zh_CN.po  | 109 +++----
 po/zh_TW.po  | 109 +++----
 46 files changed, 2878 insertions(+), 2912 deletions(-)

commit ed8937e38a226c2ec145bd1a8d933964e348e296
Merge: 0ec434f2 d301a540
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 22:03:23 2023 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit d301a540dd4e7260d4b5e09a7ea113bb1226b824
Merge: b82dc062 44b5ccb5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 22:02:41 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 44b5ccb54a7787a755d88590eacb123f2398fe03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 20:49:17 2023 +0100

    Two pragmas to avoid two irrelevant gcc warnings.

 src/debug.h | 3 +++
 1 file changed, 3 insertions(+)

commit eb3697fc1a5386bfd81bc1b1f8976063074b79d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 20:18:14 2023 +0100

    Check the return value of write calls in icesh to avoid warnings.

 src/icesh.cc | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

commit b82dc0629117b2b308558adce78441343bf1f42d
Merge: dc211edd 307fb80c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 19:53:58 2023 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 307fb80caa843289c06e4bb3f04d5c59fe0315a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 23 01:06:53 2023 +0100

    Prevent a compiler warning for runProgram.

 src/icesm.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit f2788ad22bbfd8cf7c2967aa1c7024761b180262
Author: dependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
Date:   Sun Jan 22 15:32:46 2023 +0100

    Dependabot from 2 to 3 (#686)

 .github/workflows/cmake.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7d8c99efbc481907e13895f7f3970e34ff91281
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 22 11:18:35 2023 +0100

    Cache 3 GCs for rendering XImages to Pixmaps to reduce memory allocations.

 src/yimage2.cc | 33 +++++++++++++++++++++++++++------
 src/yimage2.h  |  8 +++++++-
 2 files changed, 34 insertions(+), 7 deletions(-)

commit 2c2e794fbbf67ec9efa4c301ee467253c634cf30
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 22 11:10:32 2023 +0100

    When the "ignoreOverrideRedirect" winoption is set, then clear the
    override_redirect flag in the X window attributes in order to receive
    proper resize events.

 src/wmmgr.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit e31f710e8986967e3f78b757ac9a740845930670
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 20 22:51:26 2023 +0100

    Drop "shell", because no shell is used.

 man/icewm-keys.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 416f81168288214fc3c73e1d8b771e6faadcaae4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jan 20 22:50:34 2023 +0100

    Drop "sync" from examples, because that is now done automatically.

 man/icesh.pod | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 018a7452464a1ab733e24243ac7e8275031550f7
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Jan 18 21:15:29 2023 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (522 of 522 strings)

 po/cs.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 262ffc68f1c650c74a29d440fe64dbc7f20d1c3e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 15 23:10:41 2023 +0100

    Also activate a focused rollup.

 src/wmbutton.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25fa43b939e3f38b92443aa8e329ebd3c01d0a02
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 14 13:00:21 2023 +0100

    Also spy on RandR events.

 src/icesh.cc | 117 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 117 insertions(+)

commit 086b2ca460714c093b6a0ab3afd868b38f5125a9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 14 12:59:31 2023 +0100

    Don't reactivate a focused window when RaisOnClick is guaranteed.

 src/movesize.cc | 3 ++-
 src/wmbutton.cc | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 96a37ec81a444b464617a198a4cf7f6fb07c4301
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 14 00:31:31 2023 +0100

    Make updateLocation public.

 src/wmtaskbar.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb387b451a5de8c1b28cfcfe370ac684755416f3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 14 00:25:25 2023 +0100

    On screen change, update taskbar location before work area, for
    ice-wm/icewm#116.

 src/wmmgr.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 4b3aea0a08ea726e03cc6231bee935582d197de8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 11 19:54:43 2023 +0100

    Adjust normalized dimensions from the outer dimensions, as this avoids
    accumulating rounding errors.

 src/wmframe.cc | 17 ++++++++++++-----
 1 file changed, 12 insertions(+), 5 deletions(-)

commit d712b98065cb416d5887edf0fab38773863c73c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 11 17:37:42 2023 +0100

    Let winoption "ignorePositionHint" also ignore USPosition for issue #701.

 src/wmmgr.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 0b74a87fe15650553394b36679c62df6d422d70b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 11 17:31:53 2023 +0100

    Compute the adjusted normalized dimensions on the basis of the previous
    normalized dimensions.

 src/wmframe.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 4964fe0cf81f6235c1ad335e1c1542918f81e36f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 21:31:47 2023 +0100

    Allow rolled up windows to be moved vertically for issue ice-wm/icewm#77.

 src/wmframe.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cb144a07ce0b948177030a2f56b83fc07d2b2a44
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 17:58:15 2023 +0100

    Don't resize the window when a client makes small adjustments to the
    WM_NORMAL_HINTS property for issue ice-wm/icewm#115.

 src/wmframe.cc | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit 7f53b4f20abf7bce4af5c33fe9be2360c9b056a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:34:55 2023 +0100

    Increase the timeout for the dynamic menu generator to 2.0 seconds.

 src/wmmenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1c00521fc3b0e598be3d3303ff90240ee5b26803
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:33:17 2023 +0100

    Verify that the minimum size hints are positive, before comparing them
    to maximum.

 src/wmclient.cc | 19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)

commit 45358965a8354c91a9f6adaf6e22a3893ea43e97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:20:01 2023 +0100

    Delete the manager on exit.

 src/wmapp.cc | 2 ++
 1 file changed, 2 insertions(+)

commit f1f65310afa4affc8eb3eb571b166597b5347df8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:18:13 2023 +0100

    Fix tiny memory leak.

 src/wmmgr.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 33a8651010693b9b68e721a47c34bef31ff4c41b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:16:20 2023 +0100

    Fix compilation of iceclock.

 src/iceclock.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cff6fe19000c37057bc591f68ef67557d0367618
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 8 01:16:01 2023 +0100

    Free tray gradients when done.

 src/atray.cc | 12 ++++++++++++
 src/atray.h  |  2 ++
 2 files changed, 14 insertions(+)

commit 18e67614c5a31a26817f583cc45e5307ef945e74
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 3 23:48:33 2023 +0100

    Consider that the keyboard may have been changed externally for #698.

 src/akeyboard.cc | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 32bb9cb3bfa71a989e9a9fef2a7ce9a6958e5e80
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon Jan 2 03:00:48 2023 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (522 of 522 strings)

 po/id.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 88ef77568ba74ad31aa244fe113bfb22de364fe4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 29 06:02:43 2022 +0100

    Report the chosen audio interface in configure for issue #699.

 configure.ac | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit a5925559e9eb66d19d7c2ab9f0bd912adf2819c8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 29 06:02:07 2022 +0100

    Set DoNotCover hint on taskbar when layer is Dock.

 src/wmtaskbar.cc | 2 ++
 1 file changed, 2 insertions(+)

commit c7986036100457845465300a607c25b56236fc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 26 02:12:31 2022 +0100

    Add support for nanosvg to gdk-pixbuf rendering and to cmake build.

 configure.ac          | 81 +++++++++++++++++++++++------------------------
 rebuild.sh            | 12 +++++--
 src/CMakeLists.txt    | 39 ++++++++++++++++-------
 src/config.cmake.h.in |  1 +
 src/yimage.h          |  2 +-
 src/yimage_gdk.cc     | 32 +------------------
 src/yimage_gdk.h      | 42 ++++++++++++++++++++++++
 src/ysvg.cc           | 67 +++++++++++++++++++++++++++++++++------
 8 files changed, 179 insertions(+), 97 deletions(-)

commit 55428511ca577e8fc755f6b9fc3e4aa0c0112a50
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Dec 23 14:57:46 2022 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 29.1% (152 of 522 strings)

 po/kk.po | 246 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 123 insertions(+), 123 deletions(-)

commit 8a39873c5b3dc0e31f3d124f29681c352ce024ef
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Dec 23 14:54:04 2022 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 5.7% (30 of 522 strings)

 po/kk.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 2001e1b44442dd7f3fc62a1c043e1e3db1c99b56
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu Dec 22 14:33:52 2022 +0000

    Translated using Weblate (Kazakh)

    Currently translated at 3.0% (16 of 522 strings)

 po/kk.po | 41 ++++++++++++++++++++++-------------------
 1 file changed, 22 insertions(+), 19 deletions(-)

commit b73c51f951bbfd9fbb15af9532ac144288e49571
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu Dec 22 14:32:34 2022 +0000

    Added translation using Weblate (Kazakh)

 po/kk.po | 2618 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2618 insertions(+)

commit 9e6e99b9f2d1629fce6035c6b6343f74fbafae55
Author: Vincent Legoll <vincent.legoll@gmail.com>
Date:   Thu Dec 22 11:48:43 2022 +0000

    Translated using Weblate (French)

    Currently translated at 99.8% (521 of 522 strings)

 po/fr.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 0ec434f24c3c0f54648c86e233dcd55fcbe0f992
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 20 20:17:54 2022 +0100

    Prepare 3.3.0 release

 AUTHORS      |   4 +-
 ChangeLog    | 491 +++++++++++++++++++++++++++++--------------------------
 NEWS         |  90 +++++-----
 README.md    |  48 +++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  12 +-
 po/ar.po     |  76 ++++-----
 po/be.po     |  76 ++++-----
 po/bg.po     |  76 ++++-----
 po/ca.po     |  76 ++++-----
 po/cs.po     |  76 ++++-----
 po/da.po     |  76 ++++-----
 po/de.po     |  76 ++++-----
 po/el.po     |  76 ++++-----
 po/en.po     |  76 ++++-----
 po/es.po     |  76 ++++-----
 po/fi.po     |  76 ++++-----
 po/fr.po     |  76 ++++-----
 po/he.po     |  76 ++++-----
 po/hr.po     |  76 ++++-----
 po/hu.po     |  76 ++++-----
 po/icewm.pot |  78 ++++-----
 po/id.po     |  76 ++++-----
 po/it.po     |  76 ++++-----
 po/ja.po     |  76 ++++-----
 po/ko.po     |  76 ++++-----
 po/lt.po     |  76 ++++-----
 po/lv.po     |  76 ++++-----
 po/mk.po     |  76 ++++-----
 po/nb.po     |  76 ++++-----
 po/nl.po     |  76 ++++-----
 po/no.po     |  76 ++++-----
 po/pl.po     |  76 ++++-----
 po/pt.po     |  76 ++++-----
 po/pt_BR.po  |  76 ++++-----
 po/ro.po     |  76 ++++-----
 po/ru.po     |  76 ++++-----
 po/sk.po     |  76 ++++-----
 po/sl.po     |  76 ++++-----
 po/sv.po     |  76 ++++-----
 po/tr.po     | 224 ++++++++++++-------------
 po/uk.po     |  76 ++++-----
 po/vi.po     |  76 ++++-----
 po/zh_CN.po  |  76 ++++-----
 po/zh_TW.po  |  76 ++++-----
 46 files changed, 1884 insertions(+), 1879 deletions(-)

commit da5a14b01b472dc2b72f753e7f8ca0b09f350232
Merge: 4f4a2e85 dc211edd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 20 20:10:03 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit dc211edde132a26a1575e21e4235534a0777ffb6
Merge: b596225d c9f3c4c3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 20 19:58:56 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit c9f3c4c315e3158d52a387c6d082445a62524da0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 20 19:50:50 2022 +0100

    Remove unneeded logevent from icesh.

 src/icesh.cc | 2 --
 1 file changed, 2 deletions(-)

commit 962648d83330e41295016291d56be43c231a08d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 19 23:58:14 2022 +0100

    Add nanosvg to .gitignore.

 .gitignore | 2 ++
 1 file changed, 2 insertions(+)

commit ca95571f534ea2a66057f8206dd48155e5c9e4c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 19 23:56:03 2022 +0100

    Add preference ToolTipIcon=1 for issue #637.

 man/icewm-preferences.pod |  4 ++++
 src/default.h             |  1 +
 src/themes.cc             | 10 ++++++----
 src/yprefs.h              |  1 +
 src/ytooltip.cc           | 10 ++++++----
 5 files changed, 18 insertions(+), 8 deletions(-)

commit 598b7e1297d181719f89aae99202e6d78a6e8c8a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 19 23:44:35 2022 +0100

    Add support for nanosvg for issue #695.

 configure.ac | 39 ++++++++++++++++++++++++++++++----
 src/wmapp.cc |  3 +++
 src/yicon.cc |  8 +++----
 src/yimage.h |  6 +++++-
 src/ysvg.cc  | 65 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 112 insertions(+), 9 deletions(-)

commit 591c6703e8dbe65dba737b86090db6c079e1fca1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 18 13:06:02 2022 +0100

    Let icesh implicitly select windows at most once.

 src/icesh.cc | 96 ++++++++++++++++++++++----------------------------------
 1 file changed, 37 insertions(+), 59 deletions(-)

commit 2c7bb0d60adcb34fa7e8a2eceb72c7164c2ffe23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 15:22:55 2022 +0100

    Ignore duplicate map requests.

 src/wmmgr.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 1e474e4103db630f936c7d91797cf235c0b8daac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 14:14:43 2022 +0100

    Don't activate an active window when receiving an activation message.

 src/wmclient.cc | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit e1f3bbf85f3e8153b11d18c8baf9f9ab017105fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 14:13:06 2022 +0100

    Don't refocus a focused window in focusLastWindow.

 src/wmmgr.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d4ed2852d164e7a5a5c77a80a321d705fe6f1a9c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 14:08:45 2022 +0100

    On icon not found, report dimensions.

 src/yicon.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4aeaf0e7aba22f5cc92c15e013f4d2051257718
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 12:23:09 2022 +0100

    Use CurrentTime when setting focus to a passive client in the timeout.

 src/wmframe.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 7862febee68d22cf2dd81faaa5114b54a312e1bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 12:22:06 2022 +0100

    Fallback to rolled up windows in the second pass of getLastFocus.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83c0c4cd0fb40be02a37a8e523e7a3e9b8593bd2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 17 00:11:59 2022 +0100

    Fix for setting focus on passive motif dialogs for issue #400 and
    ice-wm/icewm#110.

 src/wmmgr.cc | 32 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 17 deletions(-)

commit 512dc044fe2fd19d63b00932dd3c354b0feba3c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Dec 16 21:50:37 2022 +0100

    When looking for a focusable window, avoid rolled up windows.

 src/wmmgr.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 58f0ba9dea30084ad1460f525a1098189b3f63f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Dec 16 21:36:50 2022 +0100

    When a focused window hides or rolls up, focus some other window.

 src/wmframe.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit c2b87937c6845328317cb0e7e9ead9c16dae8ade
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 13 21:25:24 2022 +0100

    Use spaces instead of dots when printing WM_COMMAND.

 src/icesh.cc | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 6ed9047a17a7cdebc830b9c98e11ebeed9fb4836
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 13 21:13:01 2022 +0100

    Support tabs in task grouping.

 src/atasks.cc   | 70 ++++++++++++++++++++++++++++++++++++++---------------
 src/atasks.h    |  3 +--
 src/wmclient.cc |  6 ++++-
 src/wmclient.h  |  6 +++++
 src/wmframe.h   |  1 +
 5 files changed, 63 insertions(+), 23 deletions(-)

commit f9f79f42fe0bec0687a758dcb3f7119add383dce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 13 21:09:31 2022 +0100

    Add "getClass" and "setClass" commands to icesh.

 man/icesh.pod | 10 ++++++++++
 src/icesh.cc  | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

commit 418c838763f6dc0a9409c2b0cb7bfb4ee37ffd4f
Author: Mehmet Akif 9oglu <madanadam@gmail.com>
Date:   Fri Dec 9 13:50:12 2022 +0000

    Translated using Weblate (Turkish)

    Currently translated at 100.0% (522 of 522 strings)

 po/tr.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 11a1c39afa4e6b8780760dee33eebdd8529570a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 5 01:32:11 2022 +0100

    Prevent a derefence of a null-Pixel in xftColor.

 src/ycolor.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f4a2e85c317c4d0e8f082a2a0c1f6a95c84efff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 5 00:07:21 2022 +0100

    Prepare 3.2.3 release

 AUTHORS      |  18 +-
 ChangeLog    | 746 ++++++++++++++++++++++++++-----------------------------
 NEWS         |  94 ++++---
 README.md    |  38 +--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     | 216 ++++++++--------
 po/be.po     | 216 ++++++++--------
 po/bg.po     | 216 ++++++++--------
 po/ca.po     | 220 ++++++++--------
 po/cs.po     | 216 ++++++++--------
 po/da.po     | 216 ++++++++--------
 po/de.po     | 216 ++++++++--------
 po/el.po     | 216 ++++++++--------
 po/en.po     | 216 ++++++++--------
 po/es.po     | 216 ++++++++--------
 po/fi.po     | 216 ++++++++--------
 po/fr.po     | 216 ++++++++--------
 po/he.po     | 216 ++++++++--------
 po/hr.po     | 216 ++++++++--------
 po/hu.po     | 216 ++++++++--------
 po/icewm.pot | 218 ++++++++--------
 po/id.po     | 216 ++++++++--------
 po/it.po     | 216 ++++++++--------
 po/ja.po     | 220 ++++++++--------
 po/ko.po     | 216 ++++++++--------
 po/lt.po     | 216 ++++++++--------
 po/lv.po     | 216 ++++++++--------
 po/mk.po     | 216 ++++++++--------
 po/nb.po     | 216 ++++++++--------
 po/nl.po     | 220 ++++++++--------
 po/no.po     | 216 ++++++++--------
 po/pl.po     | 216 ++++++++--------
 po/pt.po     | 216 ++++++++--------
 po/pt_BR.po  | 216 ++++++++--------
 po/ro.po     | 216 ++++++++--------
 po/ru.po     | 220 ++++++++--------
 po/sk.po     | 220 ++++++++--------
 po/sl.po     | 216 ++++++++--------
 po/sv.po     | 216 ++++++++--------
 po/tr.po     | 216 ++++++++--------
 po/uk.po     | 216 ++++++++--------
 po/vi.po     | 216 ++++++++--------
 po/zh_CN.po  | 216 ++++++++--------
 po/zh_TW.po  | 216 ++++++++--------
 46 files changed, 4659 insertions(+), 4697 deletions(-)

commit a3f86c8916d68ed2ec7161caca215a37804b9179
Merge: ea902b73 b596225d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 23:56:39 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit b596225d855260053d2a65be16f8e5bcc6ad1691
Merge: faa6a4fa 3fb95455
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 23:55:17 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3fb954557774b807cd5962ca0a043e05e83f821c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 23:23:31 2022 +0100

    Add loadicon and saveicon to icesh.

 man/icesh.pod |  10 +++++
 src/icesh.cc  | 122 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 132 insertions(+)

commit 80b679eff2c4dabb52f10bcaaadabb376659277a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 20:44:15 2022 +0100

    Delay the creation of frame button tooltips.

 src/wmbutton.cc | 43 ++++++++++++++++++++++++++++++++++---------
 src/wmbutton.h  |  1 +
 2 files changed, 35 insertions(+), 9 deletions(-)

commit d99f254ff0d986a271b98298e9a6b813591e01eb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 20:43:34 2022 +0100

    Add icon to tray tooltip.

 src/atray.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69fbdd1767229eb7c49dbdf16f0f048efb649d70
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 20:42:13 2022 +0100

    Only link icewm to tooltips and icons, not icewmbg.

 src/CMakeLists.txt |  4 ++--
 src/Makefile.am    |  4 ++--
 src/themable.h     |  5 +++++
 src/wmapp.cc       |  5 +++++
 src/wmapp.h        |  2 ++
 src/yprefs.h       |  5 -----
 src/ytooltip.h     | 14 +++++++-------
 src/ywindow.cc     | 32 ++++++++++++++++++++++----------
 src/ywindow.h      | 13 ++++++++++++-
 src/yxapp.h        |  1 +
 10 files changed, 58 insertions(+), 27 deletions(-)

commit 9f384dbe475604b2df29a86919390d50d51930cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 4 20:40:13 2022 +0100

    Document "workspace" subdirectory.

 man/icewm.pod | 6 ++++++
 1 file changed, 6 insertions(+)

commit aeaa9108f06826153b5518acd984a9ed304dd41e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 3 18:58:07 2022 +0100

    Ensure that a task button is updated once it is mapped.

 src/atasks.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 7b61758c539cddd8835d423559d533750d6af074
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 3 17:34:07 2022 +0100

    Show an icon in the tooltip of a toolbar button for issue #637.

 src/CMakeLists.txt |  4 ++--
 src/Makefile.am    |  4 ++--
 src/objbutton.cc   | 12 ++++++++----
 src/themable.h     |  5 -----
 src/ybutton.cc     |  4 ++++
 src/ybutton.h      |  1 +
 src/yprefs.h       |  5 +++++
 src/ytooltip.cc    | 33 +++++++++++++++++++++++++++------
 src/ytooltip.h     | 10 ++++++----
 src/ywindow.cc     | 13 +++++++++----
 src/ywindow.h      |  6 ++++--
 11 files changed, 68 insertions(+), 29 deletions(-)

commit 7100470ad40e8f987a20b600010ac841b39a9170
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Sat Dec 3 09:57:46 2022 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 36.2% (189 of 522 strings)

 po/mk.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fac8a510f3da44e48d84ea76619f780c646b0957
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Dec 2 18:57:42 2022 +0100

    Accept pull request by olf and closes ice-wm/icewm#104.

 README.md.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c1addb4836b90fafef5f617e1c093dc8a467fc1e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 27 15:32:23 2022 +0100

    Let tabs check for winoption settings.

 src/wmclient.cc | 9 ++++++---
 src/wmclient.h  | 1 +
 src/wmframe.cc  | 3 ++-
 src/wmswitch.cc | 4 +++-
 4 files changed, 12 insertions(+), 5 deletions(-)

commit 29ce23bf36e921c5ca517ff0946cea73d7014a8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 27 15:32:04 2022 +0100

    Drop windowCount.

 src/wmmgr.cc | 18 ------------------
 src/wmmgr.h  |  2 --
 2 files changed, 20 deletions(-)

commit d0edb67aa1d509c824c2da27ae34e486491f39db
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 23 18:42:41 2022 +0100

    Mention named tabs.

 man/icewm.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit 583e74c2a4da1fb1ca3d63e2eaf5c00ac4255d19
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 23 18:41:14 2022 +0100

    Make winoption forceClose tab dependent.

 src/wmclient.cc | 7 ++++++-
 src/wmclient.h  | 1 +
 src/wmframe.cc  | 2 +-
 3 files changed, 8 insertions(+), 2 deletions(-)

commit fda9b81463d16db30bbde3ce8b47b27a6b3737f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 21 00:56:14 2022 +0100

    Tabbing tips.

 man/icewm.pod | 37 +++++++++++++++++++++++++------------
 1 file changed, 25 insertions(+), 12 deletions(-)

commit daa20ce9f38a0f4b5a763176c5872193402ab54d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 20 17:52:42 2022 +0100

    Minimalize ClientData.

 src/atasks.cc  |  4 ++--
 src/atray.cc   |  4 ++--
 src/wmclient.h | 34 +++-------------------------------
 src/wmframe.cc |  4 ++++
 src/wmframe.h  |  1 +
 5 files changed, 12 insertions(+), 35 deletions(-)

commit 7121f2b420c09cb52ff073a16250daa1a00e90d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 20 13:42:28 2022 +0100

    Get rid of destroyedClient and simplify handleUnmap.

 src/wmclient.cc | 27 ++++++++++-----------------
 src/wmmgr.cc    |  9 ---------
 src/wmmgr.h     |  1 -
 3 files changed, 10 insertions(+), 27 deletions(-)

commit f5f1d9fdb0da6bbe6802c97a35c590304efd142a
Author: Dmitriy Khanzhin <jinn@altlinux.org>
Date:   Sun Nov 20 06:36:10 2022 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (522 of 522 strings)

 po/ru.po | 43 ++++++++++++++++++++++---------------------
 1 file changed, 22 insertions(+), 21 deletions(-)

commit f8b173a9a6ea16cfa9829a494f2aa5e16ef92dae
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Fri Nov 18 16:57:32 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (522 of 522 strings)

 po/pt_BR.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ecc2bf2f54ab1bdd7e6e39930f546c17f865f236
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Wed Nov 16 22:14:57 2022 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (522 of 522 strings)

 po/pt.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f074fb0cf405b9ec5191cd942c52c334c5ca1970
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 16 21:55:59 2022 +0100

    Only freeze task pane layout when a button was removed.

 src/atasks.cc | 21 +++++++++++++++------
 src/atasks.h  |  1 +
 2 files changed, 16 insertions(+), 6 deletions(-)

commit f8a935a6d722c3b54f711dd0cfcc141120f7337c
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Nov 14 22:14:31 2022 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (522 of 522 strings)

 po/ja.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b1927e202a7335cf93c28e4e96ef91f6ec7b21d3
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Nov 14 22:13:39 2022 +0000

    Translated using Weblate (Japanese)

    Currently translated at 99.8% (521 of 522 strings)

 po/ja.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 6511479e4421d72e37d27eb3dc7023b2f3aed7a6
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Mon Nov 14 18:35:13 2022 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (522 of 522 strings)

 po/sk.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 4365cb63665e6b7a61ce35638ed37057eca888c2
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Mon Nov 14 15:14:17 2022 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (522 of 522 strings)

 po/nl.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit db27938475403ce841b286eb4206859779160ea0
Author: David Medina <medipas@gmail.com>
Date:   Mon Nov 14 17:53:06 2022 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (522 of 522 strings)

 po/ca.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ea902b73b71998d7f6eacebebaabeaf5347a803a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 18:53:16 2022 +0100

    Prepare 3.2.2 release

 AUTHORS      |   4 +-
 ChangeLog    | 639 ++++++++++++++++++++++++++++---------------------------
 NEWS         |  88 ++++----
 README.md    |  38 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 46 files changed, 433 insertions(+), 430 deletions(-)

commit 2739fe6b65f9d65fea8af43ef9e19f3a6c177515
Merge: d2e88d18 faa6a4fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 18:42:32 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit faa6a4fa835cf16edabf5a53bb2f60f55811f61d
Merge: cd85845a 724f43f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 18:36:51 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 724f43f0549d1d0261d68a4d8c9bf1ff1fbb70cb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 17:52:18 2022 +0100

    Use AM_V_GEN before the sed desktop files.

 lib/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 43842279c3fcee0007e270e45e0d6f7fc16f3356
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 13:32:28 2022 +0100

    Update pot files.

 po/ar.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/be.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/bg.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/ca.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/cs.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/da.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/de.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/el.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/en.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/es.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/fi.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/fr.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/he.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/hr.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/hu.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/icewm.pot | 220 ++++++++++++++++++++++++++++--------------------------
 po/id.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/it.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/ja.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/ko.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/lt.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/lv.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/mk.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/nb.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/nl.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/no.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/pl.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/pt.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 221 ++++++++++++++++++++++++++++--------------------------
 po/ro.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/ru.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/sk.po     | 222 +++++++++++++++++++++++++++++--------------------------
 po/sl.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/sv.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/tr.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/uk.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/vi.po     | 218 ++++++++++++++++++++++++++++--------------------------
 po/zh_CN.po  | 218 ++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 218 ++++++++++++++++++++++++++++--------------------------
 39 files changed, 4501 insertions(+), 4034 deletions(-)

commit c1a7ccf0cac8457a090afb23b847f0b4d7d39a79
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 14 12:45:18 2022 +0100

    One suffices.

 src/wmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f17c7dd583da6a2a94c8ba2e87dc93780c300147
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 21:41:15 2022 +0100

    Fix for GCC 4.8.5.

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dce1f028ae7e20a162503a6a3209bb93e98df62b
Author: Naveen <172697+naveensrinivasan@users.noreply.github.com>
Date:   Sun Nov 13 13:14:17 2022 -0600

    Include githubactions in the dependabot config (#655)

 .github/dependabot.yml | 6 ++++++
 1 file changed, 6 insertions(+)

commit 172c86c3691adf316c1d50d19e0a1d080d8bfc75
Author: Pino Toscano <toscano.pino@tiscali.it>
Date:   Sun Nov 13 20:12:06 2022 +0100

    Drop LSM file (#660)

    The LSM format is a very old format for software, and it is dead for
    many years already. Since keeping the .lsm up-to-date is basically not
    much of use, simply drop it altogether.

 .gitignore    |  1 -
 Makefile.am   |  7 ++-----
 autogen.sh    |  1 -
 icewm.lsm.in  | 15 ---------------
 icewm.spec.in |  1 -
 5 files changed, 2 insertions(+), 23 deletions(-)

commit a6ec7dc87f55300bab05c0f91c2e7f0c46b09507
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 20:04:46 2022 +0100

    Let Escape cancel the entire menu chain and closes #677.

 src/ymenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c72eacf95e21f39af21ca0ed8c9aee09c891e12
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 19:24:22 2022 +0100

    Add menu entry to rename the window title manually for #644.

 man/icewm-preferences.pod |  4 ++--
 src/default.h             |  4 ++--
 src/wmaction.h            |  1 +
 src/wmapp.cc              |  2 ++
 src/wmclient.cc           | 11 ++++-------
 src/wmclient.h            |  2 ++
 src/wmframe.cc            | 25 +++++++++++++++++++++++++
 src/wmframe.h             |  1 +
 src/wmwinlist.cc          |  1 +
 9 files changed, 40 insertions(+), 11 deletions(-)

commit 9f04c866cd97b59ffbf26147fe07f4a27a651116
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 16:25:34 2022 +0100

    Adapt absolute paths in .desktop files for CMake build.

 lib/CMakeLists.txt | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 5ff1f7f0a84897043418c17ae43810c6c86d5af5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 12:37:42 2022 +0100

    Move all calls to XKillClient in one place.

 src/wmclient.cc | 25 +++++++++++++------------
 src/wmclient.h  |  1 +
 src/wmframe.cc  |  9 ++++-----
 3 files changed, 18 insertions(+), 17 deletions(-)

commit 6b376fa589a90caabd31d7918b0738c57467abbf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 12:31:09 2022 +0100

    Only sort Alt+Tab on WM_CLASS when persistent for #685.

 src/wmswitch.cc | 60 +++++++++++++++++++++++++++--------------------------
 1 file changed, 31 insertions(+), 29 deletions(-)

commit 20bf9964a8c378d7c689e09c0fb56c02d6660e39
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 13 12:28:32 2022 +0100

    Adapt absolute paths in .desktop files to install prefix for #684.

 lib/Makefile.am | 5 +++++
 1 file changed, 5 insertions(+)

commit ef56635c2475ccd8d9cd0705059fb30a2586d5c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 14:02:01 2022 +0100

    Much improved sorting in the window list window.
    Make the window list more tab-savvy.

 src/wmwinlist.cc | 199 +++++++++++++++++++++++++++++++++++++--------------
 src/wmwinlist.h  |   1 +
 2 files changed, 146 insertions(+), 54 deletions(-)

commit 6e17af902926fd3025ca1779d940c8eaefd6213b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 14:00:02 2022 +0100

    Restore winoption named frame tabs when recovering from a crash.

 src/wmmgr.cc | 62 ++++++++++++++++++++++++++++++++------------------------
 src/wmmgr.h  | 15 +++++++-------
 2 files changed, 43 insertions(+), 34 deletions(-)

commit d4841d424f2c73f4a99efbded56ebf0760ce5128
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:57:37 2022 +0100

    Update window list after an untab.
    Preserve non-fullscreen geometry across restarts.
    Try harder to avoid a non-focused situation.

 src/wmframe.cc | 52 +++++++++++++++++++++++++++++++---------------------
 1 file changed, 31 insertions(+), 21 deletions(-)

commit a59a1ee2849cfcafb1fb909ef7f255bb06af1d3e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:48:45 2022 +0100

    Add client actions close, kill and untab.

 src/wmclient.cc | 31 ++++++++++++++++++++++++-------
 src/wmclient.h  |  1 +
 2 files changed, 25 insertions(+), 7 deletions(-)

commit af62c67f8c5c5816806db74e93880aedba35b3ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:47:40 2022 +0100

    Menu add after, haveCommand and removeCommand.

 src/ymenu.cc | 33 ++++++++++++++++++++++++---------
 src/ymenu.h  |  3 +++
 2 files changed, 27 insertions(+), 9 deletions(-)

commit a5d759678430fd790ba5b32679c24e7bf3a16e43
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:46:43 2022 +0100

    Find item within bounds.

 src/ylistbox.cc | 8 ++++++++
 src/ylistbox.h  | 5 ++++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit f7d421f861f3b438e0204c96b3a61eab9272ec50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:46:16 2022 +0100

    Faster find.

 src/yarray.h | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 7981ac162ad5fd6e8cf0d09e9ddc83d8f675ead9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 12 13:43:52 2022 +0100

    Also sort Alt+Tab on 'order' winoption.

 src/wmswitch.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 13d384d352a10ebdface07c1b821b0c8c971f209
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 9 22:05:27 2022 +0100

    Freeze the task pane layout while Alt is pressed for #549.

 src/atasks.cc    | 12 ++++++------
 src/wmtaskbar.cc |  2 +-
 2 files changed, 7 insertions(+), 7 deletions(-)

commit d2e88d18268e0532fd6523fe4c403f04b9dfd5a5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 8 17:33:40 2022 +0100

    Prepare 3.2.1 release

 AUTHORS      |   9 +-
 ChangeLog    | 496 +++++++++++++++++++++++++------------------------------
 NEWS         |  94 +++++------
 README.md    |  38 ++---
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  50 +++---
 po/be.po     |  50 +++---
 po/bg.po     |  50 +++---
 po/ca.po     |  50 +++---
 po/cs.po     |  50 +++---
 po/da.po     |  50 +++---
 po/de.po     |  50 +++---
 po/el.po     |  50 +++---
 po/en.po     |  50 +++---
 po/es.po     | 180 ++++++++++----------
 po/fi.po     |  50 +++---
 po/fr.po     | 180 ++++++++++----------
 po/he.po     |  50 +++---
 po/hr.po     |  50 +++---
 po/hu.po     |  50 +++---
 po/icewm.pot |  52 +++---
 po/id.po     | 176 ++++++++++----------
 po/it.po     |  50 +++---
 po/ja.po     |  50 +++---
 po/ko.po     |  50 +++---
 po/lt.po     |  50 +++---
 po/lv.po     |  50 +++---
 po/mk.po     |  50 +++---
 po/nb.po     |  50 +++---
 po/nl.po     |  50 +++---
 po/no.po     |  50 +++---
 po/pl.po     |  50 +++---
 po/pt.po     |  50 +++---
 po/pt_BR.po  |  50 +++---
 po/ro.po     |  50 +++---
 po/ru.po     |  50 +++---
 po/sk.po     |  50 +++---
 po/sl.po     |  50 +++---
 po/sv.po     |  50 +++---
 po/tr.po     |  50 +++---
 po/uk.po     |  50 +++---
 po/vi.po     |  50 +++---
 po/zh_CN.po  |  50 +++---
 po/zh_TW.po  |  50 +++---
 46 files changed, 1469 insertions(+), 1520 deletions(-)

commit 6599d8b1a6ea3df9c591f008bff54d42d707b65c
Merge: c3685c6a cd85845a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 8 17:31:01 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit cd85845a3be57f7a5e36cb2e66584b84e5393b1e
Merge: 9823b86f d3e9d274
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 8 17:27:43 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d3e9d274450070ca8fed2b062dda76ddbe26e7dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 8 05:23:26 2022 +0100

    Add array moveto to reduce copying.

 src/testarray.cc | 17 +++++++++++++++++
 src/wmdock.cc    |  4 +---
 src/wmswitch.cc  |  6 ++----
 src/yarray.cc    | 16 ++++++++++++++++
 src/yarray.h     |  1 +
 5 files changed, 37 insertions(+), 7 deletions(-)

commit 1a3688a76ffc8edb957b2462fee79fb8dc843143
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 7 23:09:45 2022 +0100

    When moving a tab to a new frame, activate it.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 664e47251dd62c95d774bb00abfdd0a73e181fe3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 7 18:34:28 2022 +0100

    Check that active Alt+Tab item is visible. Also sort Alt+Tab items on
    WM_CLASS. Fix GCC 4.8.5 compile error and closes ice-wm/icewm#99.

 src/wmswitch.cc | 48 +++++++++++++++++++++++++++++++++++++++++++-----
 1 file changed, 43 insertions(+), 5 deletions(-)

commit cc2ae1024b6f9e4bcf3a1677c0db48e1761c7d70
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 7 18:33:35 2022 +0100

    Don't attempt to focus NoInput windows.

 src/wmframe.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 9899fa287467abf3a6e1467bda8e3fd2c509fe1a
Author: Stéphane LASSALVY <stephane.lassalvy@laposte.net>
Date:   Sun Nov 6 18:38:06 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 9fdd494808c4357d7bb8e13d1f377a3c9b92bb7c
Author: Wallon <franckjl@hotmail.com>
Date:   Sun Nov 6 17:12:52 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 65 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

commit 7ea7636be4cd658152b99371970faa158e5fb771
Author: Stéphane LASSALVY <stephane.lassalvy@laposte.net>
Date:   Sun Nov 6 17:08:41 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 90 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 45 insertions(+), 45 deletions(-)

commit 33666e7522d771297c94fda4e11cf5afa4f0a02d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 6 16:50:23 2022 +0100

    Add QuickSwitchPersistence pref to enable stateful Alt+Tab for issue #683.

 man/icewm-preferences.pod | 4 ++++
 src/default.h             | 2 ++
 src/wmmgr.cc              | 3 ++-
 src/wmswitch.cc           | 5 +++--
 4 files changed, 11 insertions(+), 3 deletions(-)

commit ab1dd61636093c075b27ad30a5faf51d0738da99
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 5 16:16:18 2022 +0100

    Demarcate workspaces in Alt+Tab for QuickSwitchToAllWorkspaces.
    Fix the quick switch vertical size calculations.

 src/wmswitch.cc | 26 +++++++++++++++++++++-----
 src/wmswitch.h  |  1 +
 2 files changed, 22 insertions(+), 5 deletions(-)

commit 9ca15cbc50b70f89a1183fda20ab18dbe359b0e5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 5 12:26:04 2022 +0100

    Update the quick switch list after changing workspace when
    QuickSwitchToAllWorkspaces=0 for issue #683.

 src/wmswitch.cc | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit ba613461c78029230e3b7113251447379305ecdc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 4 19:57:00 2022 +0100

    Fix KeySysSwitchClass history for issue #673.

 src/wmprog.cc   |  3 ++-
 src/wmswitch.cc | 10 ++++++----
 src/wmswitch.h  |  2 +-
 3 files changed, 9 insertions(+), 6 deletions(-)

commit b2c1dc9aa0d89afe30c6c09befb22c6143feb2d7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 4 19:55:33 2022 +0100

    Close other tabs first.

 src/wmframe.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit f975b81505700dea0dd4bc46e5bf27d9cceee6c5
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Fri Nov 4 03:17:10 2022 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (519 of 519 strings)

 po/id.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2e50443b46d7418eb10a708ea5e369d5677484dc
Author: Victor hck <correohck@gmail.com>
Date:   Thu Nov 3 17:05:01 2022 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (519 of 519 strings)

 po/es.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 4dea3ca3e91112b02e01cabb208891036c52aee5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 3 18:53:04 2022 +0100

    Update version to 3.2.0.

 README.md    | 4 ++--
 VERSION      | 2 +-
 configure.ac | 8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit c3685c6ab21fa177ac7bdcc222250f8b68c90c40
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 22:31:11 2022 +0100

    Prepare 3.2.0 release

 AUTHORS      |   4 +-
 ChangeLog    | 654 +++++++++++++++++++++++++++++--------------------------
 NEWS         | 107 ++++-----
 README.md    |  38 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  60 ++---
 po/be.po     |  60 ++---
 po/bg.po     |  60 ++---
 po/ca.po     |  60 ++---
 po/cs.po     |  60 ++---
 po/da.po     |  60 ++---
 po/de.po     |  60 ++---
 po/el.po     |  60 ++---
 po/en.po     |  60 ++---
 po/es.po     |  60 ++---
 po/fi.po     |  60 ++---
 po/fr.po     |  60 ++---
 po/he.po     |  60 ++---
 po/hr.po     |  60 ++---
 po/hu.po     |  60 ++---
 po/icewm.pot |  62 +++---
 po/id.po     |  60 ++---
 po/it.po     |  60 ++---
 po/ja.po     |  60 ++---
 po/ko.po     |  60 ++---
 po/lt.po     |  60 ++---
 po/lv.po     |  60 ++---
 po/mk.po     | 136 ++++++------
 po/nb.po     |  60 ++---
 po/nl.po     |  60 ++---
 po/no.po     |  60 ++---
 po/pl.po     |  60 ++---
 po/pt.po     |  60 ++---
 po/pt_BR.po  |  60 ++---
 po/ro.po     |  60 ++---
 po/ru.po     |  60 ++---
 po/sk.po     |  60 ++---
 po/sl.po     |  60 ++---
 po/sv.po     |  60 ++---
 po/tr.po     |  60 ++---
 po/uk.po     |  60 ++---
 po/vi.po     |  60 ++---
 po/zh_CN.po  |  60 ++---
 po/zh_TW.po  |  60 ++---
 46 files changed, 1637 insertions(+), 1598 deletions(-)

commit 2d82a1ff7bd7a5c9c2b962cec534c54c222d32c0
Merge: 8aa693a5 9823b86f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 22:19:33 2022 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 9823b86f88f26c1566b1d44d9a2721fbcfbc9884
Merge: da90a4d8 231b87c7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 22:04:38 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 231b87c75df5ed14b259c919df02b6dca12a49af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 22:02:43 2022 +0100

    Add missing override.

 src/wmswitch.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da90a4d8d7132abd7ba4e0c652039af84ea27ee2
Merge: dd144756 4f06285d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 21:54:23 2022 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 4f06285d64d4bcbfbf831993d761b42fdc8b2a62
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 13:04:32 2022 +0100

    Force fullscreen windows as focused, even if their input hint is False,
    for TaskBarFullscreenAutoShow in issue ice-wm/icewm#73.

 src/wmmgr.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a3aef47487ada21c8b91a4867284c61bb55a94f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 00:23:22 2022 +0100

    Ensure KeySysWinNext and KeySysWinPrev work for rolled up windows for
    issue ice-wm/icewm#98.

 src/wmframe.cc | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 0324816929b6c1ae711367ee85fd37f661add203
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 00:21:30 2022 +0100

    When activating a rolled up window, set focus to IceTopWin, for issue
    ice-wm/icewm#98.

 src/wmmgr.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2affac139b1a8905c4b9894ff66cf8a0d19bae5a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 2 00:11:42 2022 +0100

    Permit a rolled up frame to take focus even if its client has a globally
    active focus model for issue ice-wm/icewm#98.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e874cbcbb955a65b194d5613deeeb3f236153dd4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 1 17:47:20 2022 +0100

    Mention Alt+Tab raise candidate in the icewm manpage.

 man/icewm.pod | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit b169106566497adb10f00d2fb74af41df3b3a185
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 1 17:46:29 2022 +0100

    Add "untab" command to icesh to give each client its own frame.

 man/icesh.pod |  9 +++++++++
 src/icesh.cc  | 50 ++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 57 insertions(+), 2 deletions(-)

commit ff0a37b19e65afc3e1eed78b803513179dd9a8c4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 1 12:21:30 2022 +0100

    Fix Alt+Tab prioritization for issue #673.

 src/wmswitch.cc | 28 +++++++++++++---------------
 1 file changed, 13 insertions(+), 15 deletions(-)

commit 6502c0aa5e06dfc46eb121d027cdd1d128855621
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 31 23:36:05 2022 +0100

    Let the Alt+Tab preserve a history for 30 seconds for issue #673.
    The next Alt+Tab will then continue where the previous one left off.

 src/wmframe.cc  | 23 +++++++--------
 src/wmframe.h   |  2 +-
 src/wmmgr.cc    | 20 +++++++++----
 src/wmmgr.h     |  1 +
 src/wmswitch.cc | 81 +++++++++++++++++++++++++++++++++--------------------
 src/wmswitch.h  | 10 +++++--
 src/yxapp.cc    |  6 ++++
 src/yxapp.h     |  1 +
 8 files changed, 94 insertions(+), 50 deletions(-)

commit 9886e39b3f7288a584edacab897d57dc8d5819be
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 23:38:39 2022 +0100

    Let icesh check all atoms in the -Property filter.
    Improve the window synchronization in icesh.

 src/icesh.cc | 62 ++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 38 insertions(+), 24 deletions(-)

commit 9b83a7b5e3ce840c5f3a4822d40b03831238ed5f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 23:36:45 2022 +0100

    Explain cursors.

 man/icewm.pod | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 55f73ea750ab900d3060be68c07e3fc2742326f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 14:28:12 2022 +0100

    Add "stacking" and "reverse" commands to icesh for issue ice-wm/icewm#98.

 src/icesh.cc | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

commit 2e71cd0f88f518b91360d4d4fd1c2db3fa5f5a63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 13:27:09 2022 +0100

    Add "stacking" and "reverse" commands to icesh for issue ice-wm/icewm#98.

 man/icesh.pod | 8 ++++++++
 1 file changed, 8 insertions(+)

commit cf34227e089fa676550994ca22454dd50e9bf486
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 12:46:44 2022 +0100

    Support edge switching when dragging a window for issue #681.

 src/movesize.cc | 18 ++++++++++++++----
 src/wmframe.cc  | 20 ++++++++++++++++++++
 src/wmframe.h   |  3 ++-
 src/wmmgr.cc    | 44 ++++++++++++++++++++++++++------------------
 src/wmmgr.h     |  2 ++
 src/wmtitle.cc  |  1 +
 src/yxapp.cc    |  9 +++++++++
 src/yxapp.h     |  1 +
 8 files changed, 75 insertions(+), 23 deletions(-)

commit 686d567849d7e780bf17eb36b8fc96fc486b9040
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 30 12:00:56 2022 +0100

    When switching to a tab with size limitations, adapt the frame geometry.
    Prevent the flashing when switching tabs.

 src/wmframe.cc | 53 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 32 insertions(+), 21 deletions(-)

commit cadace9baf452f551c081dd90a44630acfd86bbd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 29 12:28:18 2022 +0200

    Fix maximize and fullscreen for tabs with different normal sizes.

 src/wmframe.cc | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 3af6071427408946dac7c25d5376f689f8866f3a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 28 19:01:29 2022 +0200

    Only popup the grouping menu on a task button on the first button click
    without key modifiers. This makes it easier to immediately select or
    minimize the active application by using the shift or control modifier.

 src/atasks.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 88601d97795f3e0ca6379b905e7baa2ab99bb724
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 27 18:17:19 2022 +0200

    Update a visible quick switch when a frame removes one of its tabs.

 src/wmframe.cc  |  3 +--
 src/wmmgr.cc    | 11 ++++++++---
 src/wmmgr.h     |  1 +
 src/wmswitch.cc |  8 +++++---
 4 files changed, 15 insertions(+), 8 deletions(-)

commit 00d36ffa31c4088f1525d87e76f98329be7b0a06
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 26 20:01:18 2022 +0200

    Add the icesh command "tabto" to move a number of windows as tabs to a
    new frame.

 man/icesh.pod |  5 +++
 src/icesh.cc  | 93 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 93 insertions(+), 5 deletions(-)

commit 7e725639028f62122ed4839ca3b397e41999dfc3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 26 19:55:28 2022 +0200

    Update the title bar shape when switching to a different tab and when
    removing a tab.
    Set the desktop, the layer and the state window properties when creating
    a tab.
    Always add a new tab to the window list.

 src/decorate.cc |  6 +++++-
 src/wmclient.cc |  6 +++---
 src/wmclient.h  |  2 +-
 src/wmframe.cc  | 49 ++++++++++++++++++++++++++++++++++++++-----------
 src/wmframe.h   |  6 +++++-
 src/wmtitle.cc  | 12 ++++--------
 6 files changed, 56 insertions(+), 25 deletions(-)

commit f1d50770254bc44ec027257cce8d677dc980794f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 26 19:54:26 2022 +0200

    Show the time of day when reporting an unknown window option.

 src/wmoption.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 992bb0cb0dcb85d8473ec60f662c67302427d91d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 26 19:52:45 2022 +0200

    Update _NET_CLIENT_LIST when adding more tabs.

 src/wmmgr.cc | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit ff39e0b3305eac16db6e09bb32f656c9a0fc8b09
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Oct 25 16:52:04 2022 +0200

    feature: special filtered view and flat rendering

 man/icewm-menu-fdo.pod |  30 +++++++++++-
 src/fdomenu.cc         | 117 ++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 134 insertions(+), 13 deletions(-)

commit f806e829bb24a5735e46819e6a4caf591b5bf630
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Oct 24 18:59:45 2022 +0200

    DRY, simplify, some flags/folders separation

 src/CMakeLists.txt | 93 +++++++++++++++++++++-----------------------------
 1 file changed, 39 insertions(+), 54 deletions(-)

commit 731fdda3be247b4234c137e20748d751d63b1078
Author: Kristijan Fremen Velkovski <me@krisfremen.com>
Date:   Mon Oct 24 07:36:34 2022 +0000

    Translated using Weblate (Macedonian)

    Currently translated at 36.2% (188 of 519 strings)

 po/mk.po | 29 ++++++++++++-----------------
 1 file changed, 12 insertions(+), 17 deletions(-)

commit 8aa693a54ba9aa810e16741abf3c9cbcf11e9d61
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:42:17 2022 +0200

    Prepare 3.1.0 release

 AUTHORS      |   8 +-
 ChangeLog    | 657 +++++++++++++++++++++++++++++++------------------------
 NEWS         | 101 ++++-----
 README.md    |  38 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  86 ++++----
 po/be.po     |  86 ++++----
 po/bg.po     |  86 ++++----
 po/ca.po     |  86 ++++----
 po/cs.po     |  86 ++++----
 po/da.po     |  86 ++++----
 po/de.po     |  86 ++++----
 po/el.po     |  86 ++++----
 po/en.po     |  86 ++++----
 po/es.po     |  86 ++++----
 po/fi.po     |  86 ++++----
 po/fr.po     |  90 ++++----
 po/he.po     |  86 ++++----
 po/hr.po     |  86 ++++----
 po/hu.po     |  86 ++++----
 po/icewm.pot |  88 ++++----
 po/id.po     |  86 ++++----
 po/it.po     |  86 ++++----
 po/ja.po     |  86 ++++----
 po/ko.po     |  86 ++++----
 po/lt.po     |  86 ++++----
 po/lv.po     |  86 ++++----
 po/mk.po     |  86 ++++----
 po/nb.po     |  86 ++++----
 po/nl.po     |  86 ++++----
 po/no.po     |  86 ++++----
 po/pl.po     |  86 ++++----
 po/pt.po     |  86 ++++----
 po/pt_BR.po  |  89 ++++----
 po/ro.po     |  86 ++++----
 po/ru.po     |  86 ++++----
 po/sk.po     |  86 ++++----
 po/sl.po     |  86 ++++----
 po/sv.po     |  86 ++++----
 po/tr.po     |  86 ++++----
 po/uk.po     |  86 ++++----
 po/vi.po     |  86 ++++----
 po/zh_CN.po  |  86 ++++----
 po/zh_TW.po  |  86 ++++----
 46 files changed, 2125 insertions(+), 2056 deletions(-)

commit 27708152b38933f5ea5f43227ad07d40f26b0bf7
Merge: f20ff627 dd144756
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:37:15 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit dd1447569fd2ea3e1a8899e2ce084798c01f50be
Merge: cc8d3180 50c4791e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:36:17 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 50c4791e4b20449e1abbc2dc6b6a3295d7b4ca88
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 24 01:18:16 2022 +0200

    Fix warning on delete.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 429d528d8e38aaef97cd4351cd710962744def97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 21:32:17 2022 +0200

    Add winoption "frame" to group new clients as tabs in a single frame.

 man/icewm-winoptions.pod |  4 ++++
 src/wmclient.cc          | 43 +++++++++++++++++++++++++++++++++++++++++++
 src/wmclient.h           |  1 +
 src/wmframe.cc           | 15 +++++++++++++++
 src/wmframe.h            |  8 +++++---
 src/wmmgr.cc             | 31 +++++++++++++++++++++++++------
 src/wmoption.cc          |  6 +++++-
 src/wmoption.h           |  1 +
 8 files changed, 99 insertions(+), 10 deletions(-)

commit 06ef4f455957e37aed771346db0245911d05f3ae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 17:21:17 2022 +0200

    Revert "Revisiting header files and making them self-sufficient"

    This reverts commit 1859cae6c437bc1c7f6419b47d16e51a0e338ba1.

 src/aapm.h       | 2 --
 src/acpustatus.h | 6 ------
 src/amemstatus.h | 4 ----
 src/applet.h     | 4 ----
 src/apppstatus.h | 7 -------
 src/browse.h     | 2 --
 src/genpref.cc   | 1 -
 src/logevent.h   | 2 --
 src/objbar.h     | 2 --
 src/themable.h   | 1 -
 src/wmoption.h   | 1 +
 src/wmsession.h  | 4 ----
 src/wmswitch.h   | 3 ---
 src/wmtitle.h    | 4 ----
 src/wmwinmenu.h  | 3 ---
 src/ybidi.h      | 2 --
 src/yconfig.h    | 1 -
 src/ycursor.h    | 2 --
 src/yicon.h      | 3 ---
 src/yimage.h     | 3 +--
 src/ylist.h      | 2 --
 src/yrect.h      | 4 ----
 src/yxcontext.h  | 5 -----
 23 files changed, 2 insertions(+), 66 deletions(-)

commit d13fbd7b5210a73769b9b1dd62e9f704eb799ef1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 22 22:28:14 2022 +0200

    [cmake] Various improvements

    - increased minimum required version to stop printing warnings
    - use target_link_options where it makes sense so that linker options are
      passed through explicitly as raw linker arguments instead of abusing the
      library list for this purpose
    - Intl_INCLUDE_DIRS passed explicitly as include directory list (it
    would break
      before if there are more than one directory exported)
    - removing duplicates in the linked libraries while creating a unified
    list,
      also removing duplicates from include folders
    - optional discovery of the related header files (visual sugar for
    IDE users)
    - dropping legacy hints and upgrading to newer cmake version requirement
    - unified handling of extra linker flags and extra libraries
    - using the new -flto=... option with value to avoid warnings when building
      with ENABLE_LTO

 doc/CMakeLists.txt |   2 +-
 lib/CMakeLists.txt |   2 +-
 po/CMakeLists.txt  |   2 +-
 src/CMakeLists.txt | 153 ++++++++++++++++++++++++++++++-------------------
 4 files changed, 97 insertions(+), 62 deletions(-)

commit 1859cae6c437bc1c7f6419b47d16e51a0e338ba1
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Oct 22 21:04:14 2022 +0200

    Revisiting header files and making them self-sufficient

 src/aapm.h       | 2 ++
 src/acpustatus.h | 6 ++++++
 src/amemstatus.h | 4 ++++
 src/applet.h     | 4 ++++
 src/apppstatus.h | 7 +++++++
 src/browse.h     | 2 ++
 src/genpref.cc   | 1 +
 src/logevent.h   | 2 ++
 src/objbar.h     | 2 ++
 src/themable.h   | 1 +
 src/wmoption.h   | 1 -
 src/wmsession.h  | 4 ++++
 src/wmswitch.h   | 3 +++
 src/wmtitle.h    | 4 ++++
 src/wmwinmenu.h  | 3 +++
 src/ybidi.h      | 2 ++
 src/yconfig.h    | 1 +
 src/ycursor.h    | 2 ++
 src/yicon.h      | 3 +++
 src/yimage.h     | 3 ++-
 src/ylist.h      | 2 ++
 src/yrect.h      | 4 ++++
 src/yxcontext.h  | 5 +++++
 23 files changed, 66 insertions(+), 2 deletions(-)

commit 5c7f922e8b55b4cb27e53584e1f14076a7792c45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 12:08:42 2022 +0200

    Detail how to use tabbed windows.

 man/icewm.pod | 35 ++++++++++++++++++++++++++++++++---
 1 file changed, 32 insertions(+), 3 deletions(-)

commit a555fc88eaf47bfbcb5faa5fd62c2c3fa730c988
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 23 01:42:42 2022 +0200

    Show tabs on the title bar. Click on title bar to change tabs.

 src/decorate.cc |   2 +
 src/wmframe.cc  |  17 ++++++-
 src/wmframe.h   |   2 +
 src/wmtitle.cc  | 127 +++++++++++++++++++++++++++++++++++++++++++++-------
 src/wmtitle.h   |   4 ++
 5 files changed, 133 insertions(+), 19 deletions(-)

commit f4b21c030f648eb4a7517715663e7107b0a175de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 20 22:54:29 2022 +0200

    Also context save the internal clients.

 src/wmclient.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 016149bf6b03880bf9e6214e8b40cb8f0bcdcbb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 20 22:41:49 2022 +0200

    Move WindowOption from frame to client and cache it.

 src/wmclient.cc | 62 ++++++++++++++++++++++++++++++------
 src/wmclient.h  |  5 +++
 src/wmframe.cc  | 92 +++++++++++++----------------------------------------
 src/wmframe.h   |  6 ----
 src/wmmgr.cc    | 53 +++++++++++++++---------------
 src/wmoption.cc | 17 ++++++++--
 src/wmoption.h  |  3 ++
 7 files changed, 121 insertions(+), 117 deletions(-)

commit 22794bf476d13016ed6e0da986b303cc12b17a80
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 19 23:07:01 2022 +0200

    Fix merging a transient as a tab to its owner.  Preserve tray hint
    across restarts.  Smaller WindowOption.

 src/WinMgr.h     |  8 +++---
 src/wmclient.cc  |  6 ++---
 src/wmclient.h   |  6 ++---
 src/wmframe.cc   | 69 +++++++++++++++++++++++-----------------------------
 src/wmframe.h    | 14 ++---------
 src/wmmgr.cc     |  8 +++---
 src/wmoption.cc  | 24 +++++++++++++-----
 src/wmoption.h   |  8 ++++--
 src/wmtaskbar.cc |  2 +-
 src/wmtitle.cc   |  4 +--
 src/wmwinlist.cc |  2 +-
 src/ydialog.cc   |  2 +-
 12 files changed, 75 insertions(+), 78 deletions(-)

commit aa38383336205a62dc2d0f93b04ed6aa7bb611f1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 18 19:21:34 2022 +0200

    Preserve tabs across restarts.

 src/wmframe.cc | 62 ++++++++++++++++++++++++++++++------------
 src/wmframe.h  |  6 ++++-
 src/wmmgr.cc   | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++---
 src/wmmgr.h    |  1 +
 src/yxapp.cc   |  2 ++
 5 files changed, 129 insertions(+), 21 deletions(-)

commit cf09ff125d48f0c5d34d5e4d4b67ef2306e10d90
Author: Stéphane LASSALVY <stephane.lassalvy@laposte.net>
Date:   Sun Oct 16 15:42:53 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit af136ee53632932ca252ac0e6c42036029413493
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 14 17:45:50 2022 +0200

    Check owner pointer for transient windows which have an unmapped owner
    for issue #675.

 src/wmwinlist.cc | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit e1b41e23f21c57751399281231e37c6ce650c00f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 22:49:48 2022 +0200

    Improve Alt+Tab for tabbed frames for issue #673.

 src/wmmgr.cc    |  2 ++
 src/wmswitch.cc | 42 +++++++++++++++++++++++-------------------
 src/wmswitch.h  |  4 +++-
 3 files changed, 28 insertions(+), 20 deletions(-)

commit cc87846c3cdb57385b6b1f7d817ffefb54fcfc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 22:20:36 2022 +0200

    When switching tabs, ensure focus is preserved.

 src/wmframe.cc | 1 +
 1 file changed, 1 insertion(+)

commit 68f1ab18d9982cf7757a3b12a9c14961586b4c4c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 11 20:51:47 2022 +0200

    Replace last Button2 with isTabbingButton for issue ice-wm/icewm#95.

 src/wmtitle.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit f328bba2e1f1faf08a8f4a83ab121631416f0879
Author: marcelo cripe <marcelocripe@gmail.com>
Date:   Tue Oct 11 16:48:39 2022 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (519 of 519 strings)

 po/pt_BR.po | 600 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 306 insertions(+), 294 deletions(-)

commit 71d15fba6ee3bf3913fabe72423e3d2490859c1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 10 18:46:30 2022 +0200

    Add MouseWinTabbing button preference for merging frame tabs for issue
    ice-wm/icewm#95.

 man/icewm.pod  |  6 ++++++
 src/bindkey.h  |  2 ++
 src/default.h  |  1 +
 src/wmtitle.cc | 14 +++++++++++---
 src/wmtitle.h  |  2 ++
 5 files changed, 22 insertions(+), 3 deletions(-)

commit 51bd0a6f7a7c4cfc12f9b877928668a732891ab1
Author: Wallon <franckjl@hotmail.com>
Date:   Mon Oct 10 01:42:51 2022 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (519 of 519 strings)

 po/fr.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 55308def4ce5be5a67573818c38783bf24bde128
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 9 21:51:59 2022 +0200

    Let the window list support tabs.

 src/wmclient.cc  |  20 ++---
 src/wmclient.h   |  13 ++-
 src/wmframe.cc   |  35 ++++----
 src/wmframe.h    |   2 -
 src/wmwinlist.cc | 224 +++++++++++++++++++++++++++++++--------------------
 src/wmwinlist.h  |  47 +++++++----
 src/ylistbox.h   |   1 +
 7 files changed, 205 insertions(+), 137 deletions(-)

commit f20ff627185755159ebf1312470bc884156239e1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:35:09 2022 +0200

    Prepare 3.0.1 release

 AUTHORS      |   7 +-
 ChangeLog    | 322 +++++++++++++++++++++++++++----------------------------
 NEWS         |  67 +++++-------
 README.md    |  38 +++----
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   6 +-
 po/be.po     |   6 +-
 po/bg.po     |   6 +-
 po/ca.po     |  10 +-
 po/cs.po     |   6 +-
 po/da.po     |   6 +-
 po/de.po     |   6 +-
 po/el.po     |   6 +-
 po/en.po     |   6 +-
 po/es.po     |   6 +-
 po/fi.po     |   6 +-
 po/fr.po     |   6 +-
 po/he.po     |   6 +-
 po/hr.po     |   6 +-
 po/hu.po     |   6 +-
 po/icewm.pot |   8 +-
 po/id.po     |   6 +-
 po/it.po     |   6 +-
 po/ja.po     |  10 +-
 po/ko.po     |   6 +-
 po/lt.po     |   6 +-
 po/lv.po     |   6 +-
 po/mk.po     |   6 +-
 po/nb.po     |   6 +-
 po/nl.po     |  10 +-
 po/no.po     |   6 +-
 po/pl.po     |   6 +-
 po/pt.po     |   6 +-
 po/pt_BR.po  |   6 +-
 po/ro.po     |   6 +-
 po/ru.po     |  10 +-
 po/sk.po     |  10 +-
 po/sl.po     |   6 +-
 po/sv.po     |   6 +-
 po/tr.po     |   6 +-
 po/uk.po     |   6 +-
 po/vi.po     |   6 +-
 po/zh_CN.po  |   6 +-
 po/zh_TW.po  |   6 +-
 46 files changed, 343 insertions(+), 361 deletions(-)

commit 397a7834460742e5d9a2133f1bda76f7be9186e2
Merge: f722c68e cc8d3180
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:30:31 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit cc8d3180465d7e3c5cc86c5ec6a301e8c26fee73
Merge: 7f38d19c 7f83078a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:24:37 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7f83078a52dc9d8d75451892bd2ea5316122b500
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 08:20:06 2022 +0200

    Fix typo.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e8ad584d0cac1dd580d49f2c02534c9932d91cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 6 01:26:45 2022 +0200

    More elaborate implementation of _NET_REQUEST_FRAME_EXTENTS.

 src/wmmgr.cc | 104 +++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 102 insertions(+), 2 deletions(-)

commit 9f391061cfabad44eef19b95c386a54a85a5e793
Author: Alexey Yaryshev <clarkez344@gmail.com>
Date:   Wed Oct 5 14:36:57 2022 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (519 of 519 strings)

 po/ru.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 3e2bc3d87dc60ca3ef8dbda304752c89ca951e06
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 01:49:01 2022 +0200

    Remove PHONY to fix distclean.

 doc/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 8cbb0ebb828e2fea3772bc192cef9f760e2c956f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 01:16:03 2022 +0200

    Fix _NET_REQUEST_FRAME_EXTENTS for issue ice-wm/icewm#93.

 src/wmmgr.cc | 43 ++++---------------------------------------
 1 file changed, 4 insertions(+), 39 deletions(-)

commit b76be51c36ab56110b440d4a5ce3d9aecb8dfc15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 5 00:14:47 2022 +0200

    Fix typo for KeyWinPrev.

 man/icewm.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e97a1e0e8af65bb588b9b868a4b840b23109542c
Author: Hugo Carvalho <hugokarvalho@hotmail.com>
Date:   Mon Oct 3 20:59:37 2022 +0000

    Translated using Weblate (Portuguese)

    Currently translated at 100.0% (519 of 519 strings)

 po/pt.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3e62b2d8e4b1a9fbe64ddecac14449ede671b2b9
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Mon Oct 3 14:25:03 2022 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (519 of 519 strings)

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f722c68ec5f4e20e32746583d2393d515dc3e11f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:48:15 2022 +0200

    Prepare 3.0.0 release

 AUTHORS      |  12 +-
 ChangeLog    | 708 ++++++++++++++++++++++++++++++++-----------------------
 NEWS         | 113 ++++-----
 README.md    |  40 ++--
 RELEASE.md   |   2 +-
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 46 files changed, 535 insertions(+), 432 deletions(-)

commit 68197ee0c5b81ce86f83c9381d1e73317486d0e9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:39:40 2022 +0200

    Drop phony.

 doc/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit 5b330f3ed6d4936380528d8b5126fc929fae2e83
Merge: 31cfc736 7f38d19c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:28:21 2022 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 7f38d19c6aa975310c3df8980a0e2f633f42426b
Merge: 751e987a 0992e083
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 3 16:26:38 2022 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH
